Summary:        C-Extensions for Python
Name:           Cython
Version:        0.18
Release:        1%{?_dist_release}

Group:          Development/Tools
License:        Apache
URL:            http://cython.org/
Source0:        http://cython.org/release/%{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:	python-devel

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi

%description
Cython is a language that makes writing C extensions for the Python language 
as easy as Python itself. Cython is based on the well-known Pyrex, but supports 
more cutting edge functionality and optimizations.

The Cython language is very close to the Python language, but Cython additionally 
supports calling C functions and declaring C types on variables and class attributes.
This allows the compiler to generate very efficient C code from Cython code. 
The generated C code compiles with Python 2.4 and later (including Python 3).

This makes Cython the ideal language for wrapping external C libraries, and for fast
 C modules that speed up the execution of Python code. 


%prep
%setup -q

%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING.txt LICENSE.txt README.txt USAGE.txt
%{_bindir}/cygdb
%{_bindir}/cython
%{python_sitearch}/Cython
%{python_sitearch}/pyximport
%{python_sitearch}/Cython-%{version}-py2.7.egg-info
%{python_sitearch}/cython.*


%changelog
* Thu Mar 21 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.18-1
- new upstream release

* Sun Apr 15 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.15.1-1
- initial build for Vine Linux
