%define nm_version          0.9.8.2
%define dbus_version        1.4.14
%define gtk3_version        3.0.0
%define openconnect_version 3.02

%define svn_snapshot        %{nil}

Summary:   NetworkManager VPN integration for openconnect
Summary(ja): NetworkManager の openconnect 用 VPN 統合
Name:      NetworkManager-openconnect
Version:   0.9.8.2
Release:   1%{svn_snapshot}%{?_dist_release}
License:   GPLv2+
Group:     System Environment/Base
URL:       http://www.gnome.org/projects/NetworkManager/
# Created from the git mirror of GNOME SVN:
# git-clone git://git.infradead.org/network-manager-openconnect.git
# cd network-manager-openconnect
# git-archive --format=tar --prefix=NetworkManager-openconnect-0.7.0/ b94964eb \
#                 | gzip -9 > NetworkManager-openconnect-0.7.0.svn14.tar.gz
Source:    %{name}-%{version}%{svn_snapshot}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: autoconf
BuildRequires: gtk3-devel             >= %{gtk3_version}
BuildRequires: dbus-devel             >= %{dbus_version}
BuildRequires: NetworkManager-devel   >= %{nm_version}
BuildRequires: NetworkManager-glib-devel >= %{nm_version}
BuildRequires: GConf2-devel
BuildRequires: libgnome-keyring-devel
BuildRequires: libglade2-devel
BuildRequires: intltool gettext
BuildRequires: gnome-common
BuildRequires: autoconf automake libtool
BuildRequires: openconnect-devel      >= %{openconnect_version}

Requires: NetworkManager   >= %{nm_version}
Requires: openconnect      >= %{openconnect_version}

Requires(post):   /sbin/ldconfig
Requires(postun): /sbin/ldconfig
Requires(pre): %{_sbindir}/useradd
Requires(pre): %{_sbindir}/groupadd

Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke


%description
This package contains software for integrating the openconnect VPN software
with NetworkManager and the GNOME desktop

%prep
%setup -q

%build
autoreconf -if
%configure --enable-more-warnings=yes
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f %{buildroot}%{_libdir}/NetworkManager/lib*.la
rm -f %{buildroot}%{_libdir}/NetworkManager/lib*.a

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%{_sbindir}/groupadd -r nm-openconnect &>/dev/null || :
%{_sbindir}/useradd  -r -s /sbin/nologin -d / -M \
                     -c 'NetworkManager user for OpenConnect' \
                     -g nm-openconnect nm-openconnect &>/dev/null || :

%post
/sbin/ldconfig
/usr/bin/update-desktop-database &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
      %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
/sbin/ldconfig
/usr/bin/update-desktop-database &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
      %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%defattr(-, root, root)

%doc AUTHORS ChangeLog COPYING
%{_libdir}/NetworkManager/lib*.so*
%{_sysconfdir}/dbus-1/system.d/nm-openconnect-service.conf
%{_sysconfdir}/NetworkManager/VPN/nm-openconnect-service.name
%{_libexecdir}/nm-openconnect-auth-dialog
%{_libexecdir}/nm-openconnect-service
%{_libexecdir}/nm-openconnect-service-openconnect-helper
%dir %{_datadir}/gnome-vpn-properties/openconnect
%{_datadir}/gnome-vpn-properties/openconnect/nm-openconnect-dialog.ui

%changelog
* Sun Jun 09 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.8.2-1
- new upstream release

* Fri Aug 17 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.6.2-1
- new upstream release

* Wed Nov 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.2.0-1
- new upstream release

* Tue Aug 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.0-1
- new upstream release

* Thu Aug 18 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.999-1
- new upstream release
- change BuildRequires: gtk3-devel instead of gtk2-devel

* Wed May 04 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.4-1
- new upstream release
- add BuildRequires: openconnect-devel

* Sat Jan 01 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.2-1
- new upstream release
- change BuildRequires: libgnome-keyring-devel instead of gnome-keyring-devel

* Tue May 11 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 0.8-1
- new upstream release

* Tue May 26 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7.1-1
- initial build for Vine Linux

* Wed Apr  1 2009 David Woodhouse <David.Woodhouse@intel.com> 1:0.7.0.99-2
- Update translations from SVN
- Accept 'lasthost' and 'autoconnect' keys in gconf

* Thu Mar  5 2009 Dan Williams <dcbw@redhat.com> 1:0.7.0.99-1
- Update to 0.7.1rc3

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0.97-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 19 2009 Dan Williams <dcbw@redhat.com> 0.7.0.97-1
- Update to 0.7.1rc1

* Mon Jan  5 2009 David Woodhouse <David.woodhouse@intel.com> 0.7.0-4.svn14
- Rebuild for updated NetworkManager
- Update translations from GNOME SVN

* Sun Dec 21 2008 David Woodhouse <David.Woodhouse@intel.com> 0.7.0-3.svn9
- Update from GNOME SVN (translations, review feedback merged)

* Wed Dec 17 2008 David Woodhouse <David.Woodhouse@intel.com> 0.7.0-2.svn3
- Review feedback

* Tue Dec 16 2008 David Woodhouse <David.Woodhouse@intel.com> 0.7.0-1.svn3
- Change version numbering to match NetworkManager
