%define fontname junicode
%define _fontdir %{_datadir}/fonts/TrueType-%{fontname}

Name:             TrueType-%{fontname}
Summary:          Junicode is a Unicode font for medievalists
Summary(ja):      中世研究家のためのフォント Junicode
Version:          0.7.8
Release:          1%{?_dist_release}
License:          OFL
Group:            User Interface/X
URL:              http://junicode.sourceforge.net/

Source0:          %{fontname}-0-7-8.zip

BuildRequires: unzip
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch

Obsoletes: TrueType-%{fontname}-regular
Obsoletes: TrueType-%{fontname}-italic
Obsoletes: TrueType-%{fontname}-bold

Requires: TrueType-%{fontname}-doc

%description
A font family especially for medieval scholars,
but containing an extensive enough selection of
Unicode characters to be widely useful.

%description -l ja
特に中世研究者のためのフォントファミリですが、
すこぶる有用たりうるに十分なユニコードキャラクタの品揃えを含んでいます。

このパッケージは Bold・Regular・Italic の3書体をインストールします。

%package doc
Summary: Junicode font Document
Summary(ja): Junicode フォントドキュメント
Group: User Interface/X

%description doc
This package includes important documents for Junicode font
includes enduser license.

%description -l ja doc
このパッケージには Junicode フォントのライセンスを含む
ドキュメント類が含まれています。

%prep
%setup -q -n %{fontname}

%clean
if test -n "${RPM_BUILD_ROOT}" && test "/" != "${RPM_BUILD_ROOT}"; then
    rm -rf ${RPM_BUILD_ROOT}
fi

%build

%install
rm -rf %{buildroot}

mkdir -p $RPM_BUILD_ROOT%{_fontdir}
cp -a fonts/*.ttf $RPM_BUILD_ROOT%{_fontdir}

%post
%__font_install_post %{_fontdir}

%postun
%__font_install_postun %{_fontdir}

%files
%{_fontdir}/Junicode.ttf
%{_fontdir}/*-Bold.ttf
%{_fontdir}/*-BoldItalic.ttf
%{_fontdir}/*-Italic.ttf

%files doc
%doc doc/* util/*

%changelog
* Fri Jan 11 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.7.8-1
- new upstream release

* Sat Dec 08 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.7.7-1
- new upstream release

* Wed Apr 25 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.7.6-1
- new upstream release

* Sun Feb 05 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.7.2-1
- new upstream release

* Fri Jan 20 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.7.1-1
- new upstream release
- changed License: GPL to OFL

* Sun Oct 09 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.6.17-2
- obsoleted -regular, -bold, -italic sub packages

* Sat Jan 2 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.6.17-1
- initial build for VineSeed (again)
