Name: cervisia
Summary: CVS frontend for KDE
Summary(ja): KDE 用 CVS フロントエンド
Version: 4.11.1
Release: 1%{?_dist_release}

License: GPLv2
Group: Applications/Development
URL: http://www.kde.org/

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: desktop-file-utils

BuildRequires: kdelibs-devel >= %{version}
BuildRequires: soprano-devel

Requires(posttrans,postun): desktop-file-utils

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi


%description
Cervisia is a user friendly version control system front-end.
The aim is to support CVS and other version control system programs
in a unified interface, featuring conflict resolution, difference
and history viewers, status for the working copy files, and support
for most version control functions. 


%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIB_INSTALL_DIR:PATH=%{_libdir} \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf $RPM_BUILD_ROOT
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:
  update-desktop-database -q &> /dev/null ||:
fi


%files
%defattr(-,root,root,-)
%doc COPYING COPYING.DOC COPYING.LIB ChangeLog README
%{_bindir}/%{name}
%{_bindir}/cvsaskpass
%{_bindir}/cvsservice
%{_libdir}/libkdeinit4_cervisia.so
%{_libdir}/libkdeinit4_cvsaskpass.so
%{_libdir}/libkdeinit4_cvsservice.so
%{_libdir}/kde4/cervisiapart.so
%{_datadir}/applications/kde4/%{name}.desktop
%{_datadir}/config.kcfg/cervisiapart.kcfg
%{_datadir}/dbus-1/interfaces/*.xml
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/kde4/apps/cervisia/
%{_datadir}/kde4/apps/cervisiapart/
%{_datadir}/kde4/services/cervisiapart.desktop
%{_datadir}/kde4/services/cvsservice.desktop
%{_docdir}/HTML/en/%{name}
%{_mandir}/man1/%{name}.1.gz


%changelog
* Sun Sep 15 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.11.1-1
- initial build

