%define         clutter_version 1.14.4
%define         clutter_release 1%{?_dist_release}

Name:           clutter
Version:        %{clutter_version}
Release:        %{clutter_release}
Summary:        Open Source software library for creating rich graphical user interfaces
Summary(ja):    リッチなGUIを作成するためのオープンソースライブラリ

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.clutter-project.org/
Source0:        http://www.clutter-project.org/sources/%{name}/1.14/%{name}-%{version}.tar.xz

Patch0:		clutter-fixdso.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

Requires:       gobject-introspection
# FIXME to remove when all the bits have been merged into their
# libraries

BuildRequires:  glib2-devel
BuildRequires:	mesa-libGL-devel
BuildRequires:	gdk-pixbuf2-devel
BuildRequires:	atk-devel
BuildRequires:	pkgconfig
BuildRequires:	pango-devel
BuildRequires:  libXdamage-devel
BuildRequires:  libXcomposite-devel
BuildRequires:  libXi-devel
BuildRequires:	gettext
BuildRequires:	gtk-doc
BuildRequires:  gobject-introspection-devel >= 0.9.5
BuildRequires:	json-glib-devel
BuildRequires:	cogl-devel >= 1.12.0

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi

%description
Clutter is an open source software library for creating fast, 
visually rich graphical user interfaces. The most obvious example 
of potential usage is in media center type applications. 
We hope however it can be used for a lot more.

%description -l ja
Clutterは高速で視覚的にリッチなGUIを作成するためのオープンソースライブラリです。
最も明白な使用例は、メディアセンター型アプリケーションでの使用です。
しかしながら、我々はいろいろな分野で使用されることを願っています。

%package devel
Summary:        Clutter development environment
Summary(ja):    Clutterの開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig glib2-devel pango-devel fontconfig-devel gdk-pixbuf2-devel
Requires:       mesa-libGL-devel
Requires:       gobject-introspection-devel
Requires:	json-glib-devel
Requires:	libXcomposite-devel
Requires:	libXi-devel

%description devel
Header files and libraries for building a extension library for the
clutter


%package        doc
Summary:        Documentation for %{name}
Summary(ja):    %{name}用のドキュメント
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:	noarch

%description    doc
Clutter is an open source software library for creating fast, 
visually rich graphical user interfaces. The most obvious example 
of potential usage is in media center type applications. 
We hope however it can be used for a lot more.

This package contains documentation for clutter.


%prep
%setup -q
%patch0 -p1 -b .dso


%build
#%configure --enable-gtk-doc \
#	--enable-introspection=yes \
#	--disable-silent-rules \
#	--enable-xinput \
#	--disable-static
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; CONFIGFLAGS=--enable-gtk-doc; fi;
 %configure $CONFIGFLAGS \
	--enable-introspection=yes \
	--disable-silent-rules \
	--enable-xinput \
	--disable-static
 # clutter git ships with some magic to put the git log in shipped tarballs
 # which gets listed in files; don't blow up if it's missing
 if ! test -f ChangeLog; then
   echo "Created from snapshot" > ChangeLog
 fi
)

make V=0

%install
rm -rf $RPM_BUILD_ROOT
#make DESTDIR=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT install INSTALL="%{__install} -p -c"

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{name}-1.0

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}-1.0.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/*.typelib

%files devel
%defattr(-, root, root)
%doc ChangeLog
%{_includedir}/clutter-1.0
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/*.gir

%files doc
%defattr(-, root, root)
%{_datadir}/gtk-doc/html/clutter
%{_datadir}/gtk-doc/html/cally


%changelog
* Sat May 18 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.14.4-1
- new upstream release

* Thu Apr 18 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.14.2-1
- new upstream release

* Wed Oct 17 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.2-1
- new upstream release

* Sat Sep 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.0-1
- new upstream release

* Fri Jun 22 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.8-1
- new upstream release

* Wed May 30 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.6-1
- new upstream release

* Wed May 02 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.4-1
- new upstream release

* Sun Apr 22 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.10.2-1
- new upstream release

* Wed Feb 15 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.4-1
- new upstream release

* Fri Oct 21 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.2-1
- new upstream release

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.0-1
- new upstream release
- add Requires: libXcomposite-devel, libXi-devel (-devel package)

* Tue Sep 06 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.7.14-1
- new upstream release

* Sat Sep 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.7.12-1
- new upstream release

* Sun Aug 21 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.7.10-1
- new upstream release

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.7.6-1
- new upstream release
- add BuildRequires: cogl-devel
- add "BuildArch: noarch" to doc sub package
- add Patch0 (clutter-fixdso.patch)

* Fri Apr 29 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.14-1
- new upstream release

* Wed Mar 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.10-1
- new upstream release

* Sun Mar 13 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.8-1
- new upstream release

* Tue Feb 22 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.6-1
- new upstream release

* Fri Feb 18 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.4-1
- new upstream release
- change BuildRequires: gdk-pixbuf2-devel instead of gtk2-devel
- add BuildRequires: atk-devel, libXcomposite-devel, libXi-devel
- drop Patch0

* Thu Dec 30 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.2-1
- new upstream release
- drop Patch1

* Thu Oct 07 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.0-1
- new upstream release
- add BuildRequires: json-glib-devel
- delete Requires: gir-repository
- delete BuildRequires: gir-repository-devel
- add Requires: json-glib-devel (devel package)
- add Patch0, Patch1
- fix %build

* Thu Sep 23 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.12-2
- rebuild with rpm-4.8.1 for pkg-config file

* Mon Jul 19 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.12-1
- new upstream release

* Sat Jul 03 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.10-1
- new upstream release

* Thu May 20 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.8-1
- new upstream release
- add configure option (--enable-xinput)

* Thu Apr 29 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.6-1
- new upstream release

* Wed Mar 31 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.4-1
- new upstream release

* Sun Mar 07 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.0-1
- new upstream release

* Sat Jan 23 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.10-1
- new upstream release

* Tue Dec  1 2009 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.8-1
- new upstream release
- build for Vine Linux
- add Summary(ja)
- fix BuildRoot
- remove Obsolete and Provides

* Tue Sep 22 2009 Bastien Nocera <bnocera@redhat.com> 1.0.6-1
- Update to 1.0.6

* Sun Aug 30 2009 Owen Taylor <otaylor@redhat.com> - 1.0.4-1
- Update to 1.0.4, update gobject-introspection requirement

* Fri Aug 14 2009 Bastien Nocera <bnocera@redhat.com> 1.0.2-1
- Update to 1.0.2

* Sat Aug  1 2009 Matthias Clasen <mclasen@redhat.com> 1.0.0-4
- Move ChangeLog to -devel to save some space

* Fri Jul 31 2009 Matthias Clasen <mclasen@redhat.com> 1.0.0-3
- Drop the gir-repository-devel dep, which pulls a bunch of -devel
  onto the live cd

* Wed Jul 29 2009 Bastien Nocera <bnocera@redhat.com> 1.0.0-1
- Update to 1.0.0

* Tue Jul 28 2009 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 0.9.8-3
- fix bz #507389

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 17 2009 Bastien Nocera <bnocera@redhat.com> 0.9.8-1
- Update to 0.9.8

* Fri Jul 17 2009 Bastien Nocera <bnocera@redhat.com> 0.9.6-2
- Patch from Owen Taylor <otaylor@redhat.com> to add gobject-
  introspection support to clutter (#512260)

* Fri Jul 10 2009 Bastien Nocera <bnocera@redhat.com> 0.9.6-1
- Update to 0.9.6

* Sat Jun 20 2009 Bastien Nocera <bnocera@redhat.com> 0.9.4-1
- Update to 0.9.4

* Mon May 18 2009 Bastien Nocera <bnocera@redhat.com> 0.9.2-1
- Update to 0.9.2

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild


* Wed Jan 21 2009 Allisson Azevedo <allisson@gmail.com> 0.8.6-3
- Remove noarch from doc subpackage

* Wed Jan 21 2009 Allisson Azevedo <allisson@gmail.com> 0.8.6-2
- Added gtk-doc for cogl
- Created doc subpackage

* Wed Jan 21 2009 Allisson Azevedo <allisson@gmail.com> 0.8.6-1
- Update to 0.8.6

* Mon Oct  6 2008 Allisson Azevedo <allisson@gmail.com> 0.8.2-1
- Update to 0.8.2
- Removed clutter-0.8.0-clutter-fixed.patch

* Sat Sep  6 2008 Allisson Azevedo <allisson@gmail.com> 0.8.0-1
- Update to 0.8.0
- Added clutter-0.8.0-clutter-fixed.patch

* Sat Jun 14 2008 Allisson Azevedo <allisson@gmail.com> 0.6.4-1
- Update to 0.6.4

* Sat May 17 2008 Allisson Azevedo <allisson@gmail.com> 0.6.2-1
- Update to 0.6.2

* Tue Feb 19 2008 Allisson Azevedo <allisson@gmail.com> 0.6.0-1
- Update to 0.6.0

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.4.2-2
- Autorebuild for GCC 4.3

* Wed Oct  3 2007 Allisson Azevedo <allisson@gmail.com> 0.4.2-1
- Update to 0.4.2

* Mon Sep  3 2007 Allisson Azevedo <allisson@gmail.com> 0.4.1-1
- Update to 0.4.1

* Sat Jul 21 2007 Allisson Azevedo <allisson@gmail.com> 0.3.1-1
- Update to 0.3.1

* Thu Apr 12 2007 Allisson Azevedo <allisson@gmail.com> 0.2.3-1
- Update to 0.2.3

* Wed Mar 28 2007 Allisson Azevedo <allisson@gmail.com> 0.2.2-4
- Changed buildrequires and requires

* Tue Mar 27 2007 Allisson Azevedo <allisson@gmail.com> 0.2.2-3
- Fix .spec

* Sat Mar 24 2007 Allisson Azevedo <allisson@gmail.com> 0.2.2-2
- Fix .spec

* Fri Mar 23 2007 Allisson Azevedo <allisson@gmail.com> 0.2.2-1
- Initial RPM release
