Summary: A Gnome based SIP/H323 teleconferencing application
Summary(ja): GNOME ベースの SIP/H323 遠隔会議アプリケーション
Name: ekiga
Version: 4.0.1
Release: 2%{?_dist_release}
URL: http://www.ekiga.org/
Source0: http://www.ekiga.org/ekiga-%{version}.tar.xz
License: GPL
Group: Applications/Communications

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gtk2-devel >= 2.14.0
BuildRequires: GConf2-devel >= 2.24.0
BuildRequires: libgnomeui-devel >= 2.24.0
BuildRequires: libgnome-devel >= 2.24.0
BuildRequires: avahi-devel >= 0.6.23
BuildRequires: avahi-glib-devel >= 0.6.23
BuildRequires: openldap-devel
BuildRequires: ptlib-devel >= 2.10.9
BuildRequires: opal-devel >= 3.10.9
BuildRequires: libxml2-devel >= 2.6.0
BuildRequires: SDL-devel
BuildRequires: intltool >= 0.22
BuildRequires: pkgconfig
BuildRequires: scrollkeeper
BuildRequires: alsa-lib-devel
BuildRequires: gettext
BuildRequires: evolution-data-server-devel >= 2.32.0
BuildRequires: gnome-doc-utils >= 0.3.2
BuildRequires: desktop-file-utils
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: libsigc++-devel
BuildRequires: libXv-devel
BuildRequires: libnotify-devel
BuildRequires: libboost-devel
BuildRequires: libboost-signals
BuildRequires: gnome-icon-theme >= 3.0.0

Requires(post): GConf2, scrollkeeper
Requires(postun): scrollkeeper

Obsoletes: gnomemeeting

Vendor: Project Vine
Distribution: Vine Linux

%description
Ekiga is a tool to communicate with video and audio over the internet.
It uses the standard SIP and H323 protocols.

%prep
%setup -q

%build
CXXFLAGS="$RPM_OPT_FLAGS -DLDAP_DEPRECATED=1 -fPIC"
%configure \
	--disable-static \
	--disable-scrollkeeper \
	--disable-schemas-install
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

rm -rf $RPM_BUILD_ROOT/var/scrollkeeper

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

desktop-file-install \
    --vendor gnome \
    --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
    --delete-original \
    --copy-generic-name-to-name \
    $RPM_BUILD_ROOT%{_datadir}/applications/ekiga.desktop

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/ekiga.schemas > /dev/null 2>&1
gconftool-2 --shutdown
(yes | ekiga-config-tool --install-schemas) > /dev/null 2>&1 ||:
update-desktop-database %{_datadir}/applications >& /dev/null ||:
scrollkeeper-update -q > /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi
  
%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/ekiga.schemas > /dev/null 2>&1
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/ekiga.schemas > /dev/null 2>&1
fi

%postun
update-desktop-database %{_datadir}/applications >& /dev/null ||:
scrollkeeper-update -q > /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%files -f ekiga.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/ekiga.schemas
%{_bindir}/ekiga
%{_bindir}/ekiga-config-tool
%{_bindir}/ekiga-helper
%{_libdir}/%{name}/%{version}/libekiga.so
%{_libdir}/%{name}/%{version}/plugins/*.so
%{_datadir}/applications/gnome-ekiga.desktop
%{_datadir}/dbus-1/services/*
%{_datadir}/pixmaps/*
%{_datadir}/man/*/*
%{_datadir}/sounds/ekiga
%{_datadir}/icons/hicolor/*/apps/*

%changelog
* Sun Apr 21 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.0.1-2
- rebuild with evolution-data-server-3.8.0

* Sun Mar 03 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.0.1-1
- new upstream release

* Fri Jan 04 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.0.0-1
- new upstream release
- add BuildRequires; gnome-icon-theme

* Sun Sep 30 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.9.90-1
- new upstream release

* Thu Apr 19 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.3.2-2
- rebuild with evolution-data-server-3.4.0

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.3.2-1
- new upstream release

* Sat Sep 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.3.1-2
- rebuild with evolution-data-server-3.1.90

* Tue Aug 16 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.3.1-1
- new upstream release
- add BuildRequires: libnotify-devel, libboost-devel, libboost-signals

* Mon Jan 10 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.7-4
- rebuild with openssl-1.0.0c

* Tue Oct 05 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.7-3
- rebuild with evolution-data-server-2.32.0

* Tue Jun 22 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.7-2
- rebuild with evolution-data-server-2.30.2

* Mon Jun 21 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.7-1
- new upstream release

* Sun Mar 21 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.6-1
- new upstream release
- add BuildRequires: libXv-devel

* Sat Jul 04 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.2.4-1
- new upstream release

* Thu May 28 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.2.1-1
- new upstream release

* Sat Apr  4 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 3.0.2-1
- new upstream release

* Wed Oct 29 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.1-1
- new upstream release

* Tue Sep 30 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.0-1
- new upstream release

* Sun Sep 28 2008 Shu KONNO <owa@bg.wakwak.com> 2.0.11-2vl5
- built with gnome-2.24

* Mon Sep 22 2008 Shu KONNO <owa@bg.wakwak.com> 2.0.11-1vl5
- applied new versioning policy

* Sat Sep 29 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.11-0vl1
- new upstream release

* Sat Jul 14 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.9-0vl5
- rebuilt with evolution-data-server-devel 1.10.1

* Tue May 22 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.0.9-0vl4
- add BuildRequires: dbus-glib-devel

* Sat May 12 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.0.9-0vl3
- rebuilt with new toolchain

* Mon Apr 30 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.0.9-0vl2
- rebuilt with dbus 1.0.2

* Sat Apr 14 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.0.9-0vl1
- new upstream release

* Sat Feb 24 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.0.5-0vl1
- new upstream release

* Sun Feb  4 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.0.4-1vl1
- initial built for Vine Linux

* Mon Jan 22 2007 Daniel Veillard <veillard@redhat.com> - 2.0.4-1
- Upgrade to ekiga-2.0.4

* Thu Nov  2 2006 Daniel Veillard <veillard@redhat.com> - 2.0.3-3
- Resolves: rhbz#201535
- fixes build-requires for opal-devel and pwlib-devel

* Sat Oct 28 2006 Matthias Clasen <mclasen@redhat.com> - 2.0.3-2
- Rebuild against evolution-data-server 1.9

* Sat Oct 21 2006 Matthias Clasen <mclasen@redhat.com> - 2.0.3-1
- Update to 2.0.3

* Sat Sep 30 2006 Matthias Clasen <mclasen@redhat.com> - 2.0.2-7
- Make the status icon work in transparent panels

* Thu Aug 31 2006 Matthias Clasen <mclasen@redhat.com> - 2.0.2-6
- Fix translator credits (197871)

* Mon Aug  7 2006 Matthew Barnes <mbarnes@redhat.com> - 2.0.2-5
- Rebuild against evolution-data-server-1.7.91

* Sat Aug  5 2006 Caolan McNamara <caolanm@redhat.com> - 2.0.2-4
- rebuild against new e-d-s

* Tue Aug  1 2006 Daniel Veillard <veillard@redhat.com> - 2.0.2-3
- rebuilt for #200960

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.0.2-1.1
- rebuild

* Wed May 31 2006 Daniel Veillard <veillard@redhat.com> - 2.0.2-1
- new release of ekiga 2.0.2
- activating Zeroconf support though avahi

* Mon May 22 2006 Jesse Keating <jkeating@redhat.com> - 2.0.1-3
- Fix BuildRequires and Requires(post), Requires(postun)

* Wed Mar 15 2006 Daniel Veillard <veillard@redhat.com> - 2.0.1-2
- run 'ekiga-config-tool --install-schemas' in %post, c.f. #178929

* Tue Mar 14 2006 Daniel Veillard <veillard@redhat.com> - 2.0.1-1
- last minute bug rerelease 2.0.1

* Mon Mar 13 2006 Daniel Veillard <veillard@redhat.com> - 2.0.0-1
- final release of 2.0.0

* Mon Feb 20 2006 Karsten Hopp <karsten@redhat.de> 1.99.1-2
- Buildrequires: gnome-doc-utils

* Mon Feb 13 2006 Daniel Veillard <veillard@redhat.com> - 1.99.1-1
- new beta release issued

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.99.0-3.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.99.0-3.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sat Jan 28 2006 Daniel Veillard <veillard@redhat.com> - 1.99.0-3
- Rebuilt following a libedataserver revision

* Fri Jan 27 2006 Matthias Clasen <mclasen@redhat.com> - 1.99.0-2
- Use the upstream .desktop file

* Tue Jan 24 2006 Daniel Veillard <veillard@redhat.com> - 1.99.0-1
- initial version based on the 1.99.0 beta and gnomemeeting spec file.
