Name:           filezilla
Version:        3.7.3
Release:        1%{?_dist_release}
Summary:        FileZilla is a cross-platform graphical FTP, FTPS and SFTP client
Summary(ja):    FileZilla - クロスプラットフォームのグラフィカルな FTP/FTPS/SFTP クライアント

Group:          Applications/Internet
License:        GPLv2+
URL:            http://filezilla-project.org/
Source0:        http://downloads.sourceforge.net/%{name}/FileZilla_%{version}_src.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-root

## Needed if autogen.sh is invoked
#BuildRequires:  automake, autoconf, libtool
## 
## Needed if test program is build
BuildRequires:  cppunit-devel >= 1.10.2
##
BuildRequires:  dbus-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  gnutls-devel >= 2.8.3
BuildRequires:  libidn-devel
BuildRequires:  tinyxml-devel >= 2.5.3

%if %{?_dist_release} == "vl6"
BuildRequires:  wx-gtk2-devel >= 2.8.9
%else
BuildRequires:  wxGTK-devel >= 2.8.9
%endif

BuildRequires:  gtk2-devel
BuildRequires:  xdg-utils
BuildRequires:  sqlite3-devel >= 3.7

Requires:  xdg-utils


%description
FileZilla is a FTP, FTPS and SFTP client for Linux with a lot of features.
- Supports FTP, FTP over SSL/TLS (FTPS) and SSH File Transfer Protocol (SFTP)
- Cross-platform
- Available in many languages
- Supports resume and transfer of large files >4GB
- Easy to use Site Manager and transfer queue
- Drag & drop support
- Speed limits
- Filename filters
- Network configuration wizard

%description -l ja
FileZilla は多くの機能を備えた Linux のための FTP/FTPS/SFTP クライアントです。

- FTP, FTP over SSL/TLS (FTPS) と SSH File Transfer Protocol (SFTP) をサポート
- クロスプラットフォーム
- 多言語で利用可能
- レジュームと4GB以上の巨大なファイルの転送をサポート
- 使いやすいサイトマネージャと転送キュー
- ドラッグ＆ドロップをサポート
- 速度制限
- ファイルネームフィルタ
- ネットワーク設定ウィザード

%prep
%setup -q -n %{name}-%{version}

#sed -i -e 's/2.0.4/1.6.3/' configure.in

# Run autotools if needed
# sh autoconf


%build
%configure \
  --disable-static \
  --enable-locales \
  --disable-manualupdatecheck \
  --with-tinyxml=system \
  --disable-autoupdatecheck

## Do not use --enable-buildtype=official 
## that option enables the "check for updates" dialog to download
## new binaries from the official website.

# Remove the timyxml internal static lib to configure will not fails
#rm -rf src/tinyxml/

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p -c"

for i in 16x16 32x32 48x48 ; do
  mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/${i}/apps
  ln -sf ../../../../%{name}/resources/${i}/%{name}.png \
    $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/${i}/apps/%{name}.png
done

rm -rf $RPM_BUILD_ROOT%{_datadir}/pixmaps

desktop-file-install --vendor "vine" \
  --delete-original \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop


%find_lang %{name}

#%check
#make check

%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi || :

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS
#%doc %{_datadir}/%{name}/docs/*
%{_bindir}/*
%{_datadir}/filezilla/*
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/*/apps/%{name}.svg
%{_mandir}/man1/*
%{_mandir}/man5/*


%changelog
* Sat Aug 10 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.7.3-1
- Update to 3.7.3
- set conditional branch for Vine 6
  - BuildRequires: wx-gtk2-devel (Vine 6), wxGTK-devel (VineSeed)
  - disabled %%check temporary

* Sat Jul 06 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.7.1.1-1
- Update to 3.7.1.1

* Sat Jun 29 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.7.1-1
- Update to 3.7.1

* Sat Jun 01 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.7.0.2-1
- Update to 3.7.0.2

* Sat May 11 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.7.0.1-1
- Update to 3.7.0.1
- enabled %%check again

* Fri Nov 30 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.6.0.2-1
- Update to 3.6.0.2
- disabled %%check temporary

* Wed Jul 11 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.5.3-2
- changed BuildRequires: wx-gtk2-devel >= 2.8.12 to wxGTK-devel >= 2.8.12

* Wed Jan 11 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.5.3-1
- Update to 3.5.3
- changed BuildRequires: wx-gtk2-devel >= 2.8.9 to wx-gtk2-devel >= 2.8.12

* Fri Nov 11 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.5.2-1
- Update to 3.5.2

* Tue Sep 06 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.5.1-1
- Update to 3.5.1

* Wed May 25 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.5.0-1
- Update to 3.5.0
- added BuildRequires: sqlite3-devel >= 3.7

* Sat Apr 30 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.4.0-1
- Update to 3.4.0

* Mon Nov 22 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.3.5.1-1
- Update to 3.3.5.1

* Mon Nov 15 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.3.5-1
- Update to 3.3.5

* Mon Aug 16 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.3.4.1-1
- Update to 3.3.4.1
- reverted --with-tinyxml=system

* Sun Aug 15 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.3.4-1
- Update to 3.3.4
- changed --with-tinyxml=system to --with-tinyxml=builtin

* Tue Jun 15 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.3.3-1
- Update to 3.3.3

* Tue Mar 23 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.3.2.1-1
- Update to 3.3.2.1

* Sat Feb 27 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.3.2-3
- fixed release number

* Fri Feb 26 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.3.2-2
- added BuildRequires:  gtk2-devel

* Mon Feb 22 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.3.2-1
- Update to 3.3.2

* Mon Feb 1 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.3.1-3
- added BuildRequires: xdg-utils (see [VineSeed:19904])
- added Requires:  xdg-utils

* Sun Jan 24 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.3.1-2
- added BuildRequires: dbus-devel (see [BTS:VineLinux:0898])
- changed Summary(ja) and description -l ja a little

* Tue Jan 5 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.3.1-1
- Update to 3.3.1

* Tue Nov 17 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.3.0.1-1
- Update to 3.3.0.1

* Wed Nov 11 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.3.0-1
- Update to 3.3.0

* Sun Oct 11 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.2.8.1-1
- Update to 3.2.8.1

* Sun Oct 4 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.2.8-1
- Update to 3.2.8

* Tue Sep 1 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.2.7.1-1
- Update to 3.2.7.1
- changed BuildRequires:  gnutls-devel >= 2.8.3

* Thu Jul 2 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.2.6.1-1vl5
- Update to 3.2.6.1

* Mon Jun 29 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.2.6-1vl5
- Update to 3.2.6

* Tue Jun 16 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.2.5-1vl5
- Update to 3.2.5
- changed summary, summary(ja)

* Wed Apr 29 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.2.4.1-1vl5
- Update to 3.2.4.1

* Wed Apr 22 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.2.4-1vl5
- Update to 3.2.4

* Fri Mar 27 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.2.3.1-1vl5
- Update to 3.2.3.1

* Mon Mar 23 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.2.3-1vl5
- Update to 3.2.3
- fixed .desktop name

* Mon Feb 23 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.2.2.1-1vl5
- Update to 3.2.2.1
- added description -l ja, Summary(ja)

* Sat Feb 21 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.2.2-1vl5
- Update to 3.2.2

* Sat Feb 7 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.2.1-1vl5
- Update to 3.2.1
- fixed %files

* Wed Jan 21 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.2.0-1vl5
- initial build for VineSeed
- modified Buildroot
- modified BuildRequires:  wx-gtk2-devel (wxGTK's Vine package) 
- modified %install (--vendor "Vine")

* Fri Oct 24 2008 kwizart < kwizart at gmail.com > - 3.1.5-1
- Update to 3.1.5

* Fri Oct 17 2008 kwizart < kwizart at gmail.com > - 3.1.4.1-1
- Update to 3.1.4.1

* Sat Oct 11 2008 kwizart < kwizart at gmail.com > - 3.1.4-0.1.rc1
- Update to 3.1.4-rc1

* Mon Sep 29 2008 kwizart < kwizart at gmail.com > - 3.1.3.1-1
- Update to 3.1.3.1

* Tue Sep 23 2008 kwizart < kwizart at gmail.com > - 3.1.3-1
- Update to 3.1.3

* Mon Sep  1 2008 kwizart < kwizart at gmail.com > - 3.1.2-1
- Update to 3.1.2

* Thu Aug 14 2008 kwizart < kwizart at gmail.com > - 3.1.1.1-1
- Update to 3.1.1.1

* Mon Aug 11 2008 kwizart < kwizart at gmail.com > - 3.1.1-1
- Update to 3.1.1

* Fri Jul 25 2008 kwizart < kwizart at gmail.com > - 3.1.0.1-1
- Update to 3.1.0.1 - Security update

* Mon Jul 14 2008 kwizart < kwizart at gmail.com > - 3.1.0-0.1.beta2
- Update to 3.1.0-beta2

* Tue Jul  8 2008 kwizart < kwizart at gmail.com > - 3.0.11.1-1
- Update to 3.0.11.1

* Mon Jun 16 2008 kwizart < kwizart at gmail.com > - 3.0.11-1
- Update to 3.0.11
- Create patch for a shared tinyxml.
- Add support for hicolor icons.

* Wed May 21 2008 kwizart < kwizart at gmail.com > - 3.0.10-1
- Update to 3.0.10

* Wed May  7 2008 kwizart < kwizart at gmail.com > - 3.0.9.3-1
- Update to 3.0.9.3

* Sat Apr 19 2008 kwizart < kwizart at gmail.com > - 3.0.9.2-1
- Update to 3.0.9.2

* Mon Apr  7 2008 kwizart < kwizart at gmail.com > - 3.0.9.1-1
- Update to 3.0.9.1

* Mon Apr  7 2008 kwizart < kwizart at gmail.com > - 3.0.9-1
- Update to 3.0.9

* Mon Mar 31 2008 kwizart < kwizart at gmail.com > - 3.0.9-0.1.rc1
- Update to 3.0.9-rc1

* Tue Mar 18 2008 kwizart < kwizart at gmail.com > - 3.0.8.1-1
- Update to 3.0.8.1
- Add patch for make check

* Fri Mar 14 2008 kwizart < kwizart at gmail.com > - 3.0.8-1
- Update to 3.0.8

* Fri Mar  7 2008 kwizart < kwizart at gmail.com > - 3.0.8-0.1.rc1
- Update to 3.0.8-rc1

* Wed Feb 20 2008 kwizart < kwizart at gmail.com > - 3.0.7.1-1
- Update to 3.0.7.1

* Thu Jan 31 2008 kwizart < kwizart at gmail.com > - 3.0.6-1
- Update to 3.0.6

* Thu Jan 17 2008 kwizart < kwizart at gmail.com > - 3.0.5.2-1
- Update to 3.0.5.2
- Drop update desktop file in post and postun

* Thu Jan 10 2008 kwizart < kwizart at gmail.com > - 3.0.4-1
- Update to 3.0.4

* Wed Nov  7 2007 kwizart < kwizart at gmail.com > - 3.0.3-1
- Update to 3.0.3

* Fri Oct 19 2007 kwizart < kwizart at gmail.com > - 3.0.2.1-1
- Update to 3.0.2.1

* Sat Sep 22 2007 kwizart < kwizart at gmail.com > - 3.0.1-1
- Update to 3.0.1

* Sun Sep  9 2007 kwizart < kwizart at gmail.com > - 3.0.0-1
- Update to 3.0.0 (final)
- Add vendor field for .desktop

* Mon Sep  3 2007 kwizart < kwizart at gmail.com > - 3.0.0-0.3.rc3
- Update to 3.0.0rc3
- Add BR gawk
- Improve description/summary
- Removed dual listed doc file

* Mon Aug 27 2007 kwizart < kwizart at gmail.com > - 3.0.0-0.2.rc2
- Update to 3.0.0-rc2
- Upstream now install their own desktop file and pixmap

* Mon Aug 13 2007 kwizart < kwizart at gmail.com > - 3.0.0-0.2.rc1
- Update to 3.0.0-rc1
- Enable make check

* Fri Jul 27 2007 kwizart < kwizart at gmail.com > - 3.0.0-0.1.beta11
- Update to beta11

* Tue Jun  5 2007 kwizart < kwizart at gmail.com > - 3.0.0-0.1.beta10
- Update to beta10

* Sat May 26 2007 kwizart < kwizart at gmail.com > - 3.0.0-0.1.beta8
- Update to beta8

* Tue Mar 13 2007 kwizart < kwizart at gmail.com > - 3.0.0-0.1.beta7
- Update to beta7

* Tue Mar 13 2007 kwizart < kwizart at gmail.com > - 3.0.0-0.1.beta6
- Initial package.
