Summary:	Code assistance plugin for gedit
Summary(ja):	gedit 用コード支援プラグイン
Name:		gedit-code-assistance
Version:	0.2.0
Release:	1%{?_dist_release}
License:	GPLv3
Group:		User Interface/Deskops
URL:		http://git.gnome.org/browse/gedit-code-assistance/

Source:		http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.2/%{name}-%{version}.tar.xz

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildRequires:	gedit-devel
BuildRequires:	llvm-devel
BuildRequires:	clang-devel
BuildRequires:	vala-tools
BuildRequires:	glib2-devel
BuildRequires:	libgee06-devel
BuildRequires:	libpeas-devel
BuildRequires:	pygobject3-devel

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
gedit code assistance is a plugin for gedit which provides code assistance for
C, C++, Objective-C, Python, XML, and RelaxNG.

%description -l ja
gedit-code-assistance は C, C++, Objective-C, Python, XML 及び RelaxNG のコード
支援機能を提供するための gedit 用プラグインです。


%package        devel
Summary:        Development files for %{name}
Summary(ja):    %{name} の開発ファイル
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains header files for
developing applications that use %{name}.


%package	vala
Summary:	Vala bindings for %{name}
Summary(ja):	%{name} の Vala バインディング
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	vala

%description	vala
Vala bindings for %{name}.


%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;


%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ]; then
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
  update-desktop-database -q &> /dev/null ||:
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
update-desktop-database -q &> /dev/null ||:


%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING README NEWS
%{_libdir}/gedit/plugins/gcp.plugin
%{_libdir}/gedit/plugins/libgcp.so
%{_libdir}/gedit/plugins/gcp/backends
%{_libdir}/gedit/plugins/gcp/girepository-1.0/Gcp-3.0.typelib
%{_datadir}/gedit/plugins/gcp/gcp.css

%files devel
%defattr(-,root,root,-)
%{_includedir}/gedit-3.0/gcp/gcp.h
%{_datadir}/gedit/plugins/gcp/gir-1.0/Gcp-3.0.gir

%files vala
%defattr(-,root,root,-)
%{_datadir}/vala/vapi/gcp.*


%changelog
* Sun Apr 21 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.0-1
- new upstream release

* Sun Oct 21 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.5-1
- new upstream release

* Sat Oct 20 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.4-1
- initial build
