%define pkg_version 1.36.1
%define pkg_release 1%{?_dist_release}

Summary:     Javascript binding for GNOME
Name:        gjs
Version:     %{pkg_version}
Release:     %{pkg_release}
Source0:     http://ftp.gnome.org/pub/GNOME/sources/%{name}/1.36/%{name}-%{version}.tar.xz

License:     MPL1.1/LGPLv2+/GPLv2+
Group:       User Interface/Desktops
URL:         http://live.gnome.org/GnomeShell

BuildRequires: pkgconfig
BuildRequires: glib2-devel
BuildRequires: dbus-glib-devel
BuildRequires: gobject-introspection-devel >= 1.29.16
BuildRequires: cairo-devel
BuildRequires: js-devel
BuildRequires: yelp-tools
BuildRequires: desktop-file-utils
BuildRequires: gnome-common

BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi


%description
GNOME Shell is the defining technology of the GNOME 3 desktop user experience. It provides core interface functions like switching to windows and launching applications. GNOME Shell takes advantage of the capabilities of modern graphics hardware and introduces innovative user interface concepts to provide a delightful and easy to use experience. 


%package devel
Summary:     Development files of the gjs library.
Group:       Development/Libraries

Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
Requires: gtk-doc

%description devel
Development files of the gjs library.


%prep
%setup -q


%build
rm -f configure
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi;
 %configure --disable-static)
%{__make} V=1 %{?_smp_mflags} 


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS README
%{_bindir}/gjs*
%{_libdir}/lib*.so.*
%{_libdir}/gjs/girepository-1.0/GjsPrivate-1.0.typelib
%{_libdir}/gjs/*
%{_datadir}/gjs-1.0/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/gjs-1.0
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Wed Apr 24 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.36.1-1
- new upstream release

* Sat Sep 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.34.0-1
- new upstream release
- change BuildRequires: yelp-tools instead of gnome-doc-utils

* Sun Apr 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.32.0-1
- new upstream release

* Wed Sep 28 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.30.0-1
- new upstream release

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.29.18-1
- new upstream release

* Sat Sep 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.29.17-1
- new upstream release

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.29.15-1
- new upstream release
- change BuildRequires: js-devel instead of xulrunner-devel

* Sun Apr 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.7.13-1
- new upstream release

* Sat Nov 20 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.7.7-1
- new upstream release

* Thu Oct 07 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.7.4-1
- new upstream release
- remove BuildRequires: mutter-devel

* Thu Sep 23 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6-2
- rebuild with rpm-4.8.1 for pkg-config file

* Sun Apr 18 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6-1
- new upstream release
- fix typo

* Sun Feb 28 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.5-1
- initial build for Vine Linux

