Summary:        Multiple stacked system monitors: 1 process.
Summary(ja):	縦積み型マルチシステムモニタ: 1 プロセス
Name:           gkrellm
Version:        2.3.5
Release:        2%{?_dist_release}
License:        GPL
Group:          Applications/System
URL:            http://members.dslextreme.com/users/billw/gkrellm/gkrellm.html
Source:         http://members.dslextreme.com/users/billw/gkrellm/%{name}-%{version}.tar.bz2
Vendor:         Project Vine
Distribution:   Vine Linux

# styles for vine.
Source1:        HW-Vine2.tar.bz2
Source2:	gkrellm-vine.svg
Patch0:         gkrellm-%{version}.ja.po.patch
Requires:       gtk2 >= 2.4, glib2 >= 2.0
BuildRequires:  gtk2-devel >= 2.4, glib2-devel >= 2.0, gettext
BuildRequires:  ImageMagick, bzip2
BuildRequires:  xorg-x11-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

%description
GKrellM charts SMP CPU, load, Disk, and all active net interfaces
automatically. An on/off button and online timer for the PPP interface
is provided. Monitors for memory and swap usage, file system, internet
connections, APM laptop battery, mbox style mailboxes, and cpu temps.
Also includes an uptime monitor, a hostname label, and a clock/calendar.
Additional features are:

  * Autoscaling grid lines with configurable grid line resolution.
  * LED indicators for the net interfaces.
  * A gui popup for configuration of chart sizes and resolutions.

%description -l ja
Gkrellm は、
* SMP CPU、負荷、Disk、およびすべてのアクティブなネットインターフェース
  のチャート表示。
* PPP インターフェィスの on/off ボタンとオンラインタイマーの提供。
* メモリ/swap の使用量、ファイルシステム、インターネット接続、
  APM ラップトップバッテリー、mbox 形式メールボックス、cpu 温度の監視。
* 稼働時間、ホスト名、よび時計/カレンダーの表示。
などを行います。
付加機能は以下の通り:
* 設定可能なグリッドラインの精度の自動調整。
* ネットワークインターフェィスの LED インジケータ。
* チャートのサイズと解像度設定の為のポップアップダイアログ。

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
%__tar jxf  %{SOURCE1}
%patch0 -p1

%build
for i in gkrellmd.1 gkrellm.1 README Changelog Changelog-plugins.html \
    src/gkrellm.h server/gkrellmd.h; do
   sed -i -e "s@/usr/lib/gkrellm2*/plugins@%{_libdir}/gkrellm2/plugins@" $i
   sed -i -e "s@/usr/local/lib/gkrellm2*/plugins@/usr/local/%{_lib}/gkrellm2/plugins@" $i
done

%__make \
    CFLAGS="$RPM_OPT_FLAGS" \
    SMC_LIBS="-L/usr/X11R6/%{_lib} -lSM -lICE" \
    LOCALEDIR=%{_localedir} \
    INCLUDEDIR=%{_includedir} \
    LDFLAGS="$(pkg-config --libs gmodule-2.0) $RPM_LD_FLAGS"

%install
%__rm -rf %{buildroot}
%__mkdir -p %{buildroot}%{_bindir}
%__mkdir -p %{buildroot}%{_mandir}/man1
%__mkdir -p %{buildroot}%{_libdir}/pkgconfig  
%__mkdir -p %{buildroot}%{_includedir}/gkrellm2
%__mkdir -p %{buildroot}%{_libdir}/gkrellm2/plugins
%__mkdir -p %{buildroot}%{_datadir}/gkrellm2
%__mkdir -p %{buildroot}%{_datadir}/gkrellm2/themes

make install \
    INSTALLROOT=%{buildroot}%{_prefix} \
    PKGCONFIGDIR=%{buildroot}%{_libdir}/pkgconfig \
    LOCALEDIR=%{buildroot}%{_datadir}/locale \
    MANDIR=%{buildroot}%{_mandir}/man1 \
    INCLUDEDIR=%{buildroot}%{_includedir}

%__cp -a HW-Vine2 \
    %{buildroot}%{_datadir}/gkrellm2/themes/

# icons
%__mkdir_p %{buildroot}%{_datadir}/pixmaps
%__cp -a %{_sourcedir}/gkrellm-vine.svg %{buildroot}%{_datadir}/pixmaps

# Install desktop menu entry
%__mkdir -p %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=Gkrellm
Name[ja]=Gkrellm
Comment=GNU Krellm monitor
Comment[ja]=GNU Krell モニタ
Exec=gkrellm -w
Icon=/usr/share/pixmaps/gkrellm-vine.svg
Terminal=false
Type=Application
Categories=GTK;System;Monitor;
EOF

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYRIGHT Changelog README Themes.html
%doc INSTALL
%{_bindir}/*
%{_mandir}/man1/*
%dir %{_includedir}/gkrellm2
%{_includedir}/gkrellm2/*
%{_libdir}/pkgconfig/gkrellm.pc
%{_datadir}/locale/*/LC_MESSAGES/gkrellm.mo
%{_datadir}/pixmaps/gkrellm-vine.svg
%{_datadir}/gkrellm2
%{_datadir}/applications/%{name}.desktop
%{_libdir}/gkrellm2

%changelog
* Sun Apr 21 2013 TANAKA hiroaki<mosaicist@jcom.home.ne.jp>2.3.5-2
- add icon.svg
- explicitly link against gmodule-2.0 to fix building with current glib

* Sat May 28 2011 TANAKA hiroaki<mosaicist@par.odn.ne.jp> 2.3.5
- new upstream release
- fix Patch0 for gkrellm-2.3.5

* Sun May 02 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.3.4-1
- new upstream release
- fix Patch0 for gkrellm-2.3.4

* Fri Jul 17 2009 KATO Masashi <mkato@par.odn.ne.jp> 2.3.2-1
- new upstream release
- added desktop entry

* Sun Feb 8 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.3.1-2
- rebuilt with gnutls-2.6.x

* Tue Aug 26 2008 KATO Masashi <mkato@par.odn.ne.jp> 2.3.1-1
- applied new versioning policy
- rebuilt with xorg-x11 7.3
- spec in UTF-8
- added "%description -l ja" section to spec file

* Thu Dec 20 2007 Shu KONNO <owa@bg.wakwak.com> 2.3.1-0vl3
- added option SMC_LIBS in make
- added option PKGCONFIGDIR in make install
- added adhoc convert script because segmentation fault occurred (for x86_64)

* Wed Dec 19 2007 KATO Masashi <mkato@par.odn.ne.jp> 2.3.1-0vl1, 2
- new upstream release

* Sun Jun 17 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.2.10-0vl2
- rebuilt with new toolchain

* Sun Jan 21 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.2.10-0vl1
- new upstream release
- s/Copyright/License/
- updated URL

* Mon Jun 28 2004 KATO Masashi <mkato@par.odn.ne.jp> 2.2.1-0vl1
- new upstream release
- add HW-Vine theme(test theme for gkrellm2)

* Sun Jan 13 2002 Tomoya TAKA <taka@vinelinux.org> 1.2.8-0vl1
- update to 1.2.8

* Thu Aug 23 2001 Toru Sagami <sagami@vinelinux.org>
- 1.2.2-0vl1

* Thu Aug 02 2001 <sagami@vinelinux.org>
- 1.2.1-0vl1: added more/less docs

* Sun Jul 22 2001 Tomoya TAKA <tomoya@olive.plala.or.jp>
- 1.0.8-0vl2
- add %%defattr(-,root,root) in %files section
- add %%{_libdir}/%{name}/plugins and %%{_datadir}/%{name}/themes
  as system wide plugin and theme directories

* Thu Jul 19 2001 <sagami@vinelinux.org>
- 1.0.8-0vl1: enabled nls

* Fri Oct  6 2000 Jun Nishii <jun@vinelinux.org>
- 0.10.5-0vl1

* Thu Apr 6 2000 Bill Wilson
- added INCLUDEDIR to the make install

* Fri Oct 29 1999 Gary Thomas <gdt@linuxppc.org>
- .spec file still broken

* Thu Oct 7 1999 David Mihm <davemann@ionet.net>
- fixed spec.
