%define pkg_version 3.8.4
%define pkg_release 1%{?_dist_release}

Summary:	Window management and application launching for GNOME
Name:		gnome-shell
Version:	%{pkg_version}
Release:	%{pkg_release}
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/3.8/%{name}-%{version}.tar.xz

# settings for Vine
Patch101:	gnome-shell-vine-settings.patch

License:	GPLv2+
Group:		User Interface/Desktops
URL:		http://live.gnome.org/GnomeShell

Requires: mutter
Requires: caribou
Requires: ca-certificates
Requires: at-spi2-atk
Requires: telepathy-logger
Requires: network-manager-applet
Requires: gnome-tweak-tool

BuildRequires: gnome-common
BuildRequires: libtool
BuildRequires: automake
BuildRequires: autoconf

BuildRequires: pkgconfig
BuildRequires: gtk2-devel
BuildRequires: clutter-devel
BuildRequires: mutter-devel
BuildRequires: gjs-devel
BuildRequires: gnome-desktop3-devel
BuildRequires: gnome-menus-devel
BuildRequires: libSM-devel
BuildRequires: libffi-devel
BuildRequires: startup-notification-devel
BuildRequires: gnome-doc-utils
BuildRequires: desktop-file-utils
BuildRequires: libcroco-devel
BuildRequires: librsvg2-devel
BuildRequires: gobject-introspection-devel
BuildRequires: control-center-devel
BuildRequires: gcr-devel
BuildRequires: gstreamer-devel
BuildRequires: dbus-glib-devel
BuildRequires: telepathy-logger-devel
BuildRequires: polkit-devel
BuildRequires: pulseaudio-libs-devel
BuildRequires: evolution-data-server-devel
BuildRequires: folks-devel
BuildRequires: NetworkManager-glib-devel
BuildRequires: libnm-gtk-devel
BuildRequires: libgudev1-devel
BuildRequires: libcanberra-gtk3-devel
BuildRequires: caribou-devel
BuildRequires: ca-certificates
BuildRequires: intltool

BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi


%description
GNOME Shell is the defining technology of the GNOME 3 desktop user experience.
It provides core interface functions like switching to windows and launching
applications. GNOME Shell takes advantage of the capabilities of modern graphics
hardware and introduces innovative user interface concepts to provide a delightful
and easy to use experience. 


%package        docs
Summary:        Documentation for %{name}
Summary(ja):    %{name} 用のドキュメント
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:		noarch

%description    docs
This package contains documentation for %{name}.



%prep
%setup -q
%patch101 -p1 -b .vine

%build
libtoolize --copy --force
autoreconf
%configure \
	--disable-static 

%{__make} %{?_smp_mflags} 


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%find_lang %{name}



%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%post 
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING NEWS README
%{_bindir}/gnome-shell
%{_bindir}/gnome-shell-extension-tool
%{_bindir}/gnome-shell-extension-prefs
%{_bindir}/gnome-shell-perf-tool
%{_libdir}/%{name}/*
%{_libdir}/mozilla/plugins/libgnome-shell-browser-plugin.so
%{_libexecdir}/gnome-shell-calendar-server
%{_libexecdir}/gnome-shell-hotplug-sniffer
%{_libexecdir}/gnome-shell-perf-helper
%{_datadir}/GConf/gsettings/gnome-shell-overrides.convert
%{_datadir}/applications/gnome-shell.desktop
%{_datadir}/applications/gnome-shell-extension-prefs.desktop
%{_datadir}/applications/evolution-calendar.desktop
%{_datadir}/dbus-1/interfaces/org.gnome.ShellSearchProvider.xml
%{_datadir}/dbus-1/interfaces/org.gnome.Shell.Screencast.xml
%{_datadir}/dbus-1/interfaces/org.gnome.Shell.Screenshot.xml
%{_datadir}/dbus-1/interfaces/org.gnome.ShellSearchProvider2.xml
%{_datadir}/dbus-1/services/org.gnome.Shell.CalendarServer.service
%{_datadir}/dbus-1/services/org.gnome.Shell.HotplugSniffer.service
%{_datadir}/glib-2.0/schemas/org.gnome.shell.gschema.xml
%{_datadir}/%{name}/*
%{_datadir}/gnome-control-center/keybindings/50-gnome-shell-screenshot.xml
%{_datadir}/gnome-control-center/keybindings/50-gnome-shell-system.xml
%{_mandir}/man1/%{name}.1.gz

%files docs
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/shell
%{_datadir}/gtk-doc/html/st


%changelog
* Sun Aug 11 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.4-1
- new upstream release

* Sun Jun 09 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.3-1
- new upstream release

* Sun May 19 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.2-1
- new upstream release

* Mon Apr 22 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.1-1
- new upstream release
- update Patch101 (gnome-shell-vine-settings.patch)
- add BuildRequires: control-center-devel, libnm-gtk-devel, caribou-devel
- add Requires: telepathy-logger, network-manager-applet, gnome-tweak-tool
- create %%{name}-docs subpackage

* Sun Mar 03 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.3.1-1
- new upstream release
- remove Source102 (gnome-shell.gnome-3-6.ja.po)

* Sun Feb 17 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.3-1
- new upstream release
- add Source102 (gnome-shell.gnome-3-6.ja.po)

* Wed Nov 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.2-1
- new upstream release
- remove Patch0 (gnome-shell-3.4.1-git20121031.patch)

* Thu Nov 01 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.1-2
- rebuild with telepathy-logger-0.6.0
- add Patch0 (gnome-shell-3.4.1-git20121031.patch)

* Tue Oct 16 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.1-1
- new upstream release

* Sun Sep 30 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.0-1
- new upstream release
- add Patch0 (gnome-shell-3.5.92-git20120921.patch)
- update Patch101 (gnome-shell-vine-settings.patch)
- change BuildRequires: ca-certificates instead of openssl
- add BuildRequires: libcanberra-gtl3-devel

* Sun Jul 22 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.2-1
- new upstream release
- remove Patch103 (gnome-shell-ja.po-date.patch)

* Sat Apr 21 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.1-1
- new upstream release
- update Patch101,103
- remove Patch0,102
- add BuildRequires: gcr-devel
- remove BuildRequires: GConf2-devel
- add Requires: at-spi2-atk

* Sat Jan 21 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.2.1-1
- new upstream release
- remove Patch1

* Sun Nov 27 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.1-2
- add Patch0 (gnome-shell-3.2.1-shell_parse_argv.patch)
- add Patch1 (gnome-shell-3.2.1-ja.po.patch)
- rename Patch103 (gnome-shell-ja.po-date.patch)
- drop Patch102

* Sat Oct 22 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.1-1
- new upstream release

* Fri Sep 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.0-1
- new upstream release

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.92-1
- new upstream release
- update Patch101
- update Patch102
- update Patch103 (gnome-shell-3.1.91.1-ja.po.patch)
- add BuildRequires: libgudev1-devel, openssl

* Sat Sep 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.90.1-1
- new upstream release
- add BuildRequires: folks-devel, NetworkManager-glib-devel
- add Requires: caribou
- remove Patch0
- update Patch101
- update Patch102
- update Patch103 (gnome-shell-3.1.90.1-ja.po.patch)

* Mon Aug 22 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.4-2
- rebuild with gnome-menus-3.1.5
- add Patch0 (gnome-shell-git20110821.patch)

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.4-1
- new upstream release
- add BuildRequires: telepathy-logger-devel, polkit-devel, pulseaudio-libs-devel, evolution-data-server-devel
- change BuildRequires: gnome-desktop3-devel instead of gnome-desktop-devel
- remove BuildRequires: xulrunner-devel
- add Patch101 (gnome-shell-vine-settings.patch)
- add Patch102 (gnome-shell-vine-customize.patch)
- add Patch103 (gnome-shell-3.1.4-ja.po.patch)

* Sun May 02 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.29.1-2
- add Requires: mutter

* Sun May 02 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.29.1-1
- new upstream release

* Sun Feb 28 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.28.0-1
- initial build for Vine Linux

