Name:			gnome-sudoku
Summary:		GNOME Sudoku
Summary(ja):	GNOME 数独
Version:		3.8.1
Release:		1%{?_dist_release}
License:		GPLv2
Group:			Applications/Games
URL:			https://live.gnome.org/
Source:			ftp://ftp.gnome.org/pub/gnome/sources/%{name}/3.8/%{name}-%{version}.tar.xz

Patch0:			0001-Fix-NumberBox-envents-configuration-with-latest-pygo.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires:	gtk3-devel
BuildRequires:	pygobject3-devel
BuildRequires:	yelp-tools

Requires(postun,posttrans): desktop-file-utils
Requires(postun,posttrans): gtk3

Vendor:			Project Vine
Distribution:	Vine Linux
Packager:		Takemikaduchi

%description
Gnome Sudoku is a logic game with a Japanese name that has recently exploded
in popularity.


%prep
%setup -q
%patch0 -p1 -b .NumberBox

%build
%configure 
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch %{_datadir}/icons/hicolor
gtk-update-icon-cache -q %{_datadir}/icons/hicolor > /dev/null || :

%postun
if [ $1 -eq 0 ]; then
  touch %{_datadir}/icons/hicolor
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor > /dev/null || :
  glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
  update-desktop-database -q > /dev/null || :
fi

%posttrans 
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
update-desktop-database -q > /dev/null || :


%files -f %{name}.lang
%defattr(-, root, root)
%doc  COPYING NEWS
%{_bindir}/%{name}
%{python_sitelib}/gnome_sudoku
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-sudoku.gschema.xml
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/icons/HighContrast/*/apps/%{name}.*
%{_mandir}/man6/%{name}.6.gz


%changelog
* Sun Apr 21 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.1-1
- initial build
- add Patch0 (0001-Fix-NumberBox-envents-configuration-with-latest-pygo.patch) from fedora

