Name:			gnome-tetravex
Summary:		GNOME Tetravex
Summary(ja):	GNOME Tetravex
Version:		3.8.1
Release:		2%{?_dist_release}
License:		GPLv2
Group:			Applications/Games
URL:			https://live.gnome.org/Tetravex
Source:			ftp://ftp.gnome.org/pub/gnome/sources/%{name}/3.8/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires:	gtk3-devel
BuildRequires:	librsvg2-devel
BuildRequires:	yelp-tools
BuildRequires:	vala

Requires(postun,posttrans): desktop-file-utils
Requires(postun,posttrans): gtk3

Vendor:			Project Vine
Distribution:	Vine Linux
Packager:		Takemikaduchi

%description
gnome-tetravex is a simple puzzle where pieces must be positioned so that the
same numbers are touching each other. Your game is timed, these times are stored
in a system-wide scoreboard. 


%prep
%setup -q

%build
%configure 
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch %{_datadir}/icons/hicolor
gtk-update-icon-cache -q %{_datadir}/icons/hicolor > /dev/null || :

%postun
if [ $1 -eq 0 ]; then
  touch %{_datadir}/icons/hicolor
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor > /dev/null || :
  glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
  update-desktop-database -q > /dev/null || :
fi

%posttrans 
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
update-desktop-database -q > /dev/null || :


%files -f %{name}.lang
%defattr(-, root, root)
%doc  COPYING NEWS
#%attr(2551, root, games) %{_bindir}/%{name}
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.tetravex.gschema.xml
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/icons/HighContrast/*/apps/%{name}.*
%{_mandir}/man6/%{name}.6.gz


%changelog
* Tue Aug 27 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.1-2
- change permission

* Sun Apr 21 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.1-1
- initial build

