Name:		gnome-tweak-tool
Version:	3.8.1
Release:	1%{?_dist_release}
Summary:	A tool to customize advanced GNOME 3 options

License:	GPLv3
URL:		http://live.gnome.org/GnomeTweakTool
Source0:	http://ftp.gnome.org/pub/gnome/sources/%{name}/3.8/%{name}-%{version}.tar.xz


Patch101:	gnome-tweak-tool-vine-customize.patch

BuildArch:      noarch

BuildRequires:  GConf2
BuildRequires:  intltool
BuildRequires:  gsettings-desktop-schemas-devel
BuildRequires:  pygobject3-devel
BuildRequires:  desktop-file-utils
BuildRequires:  autoconf
BuildRequires:  gnome-common

Requires:		gsettings-desktop-schemas
Requires:		pygobject3

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

%description
GNOME Tweak Tool is an application for changing the advanced settings
of GNOME 3.

Features:
* Install and switch gnome-shell themes
* Switch gtk/icon/cursor themes
* Switch window manager themes
* Change:
        * The user-interface and titlebar fonts
        * Icons in menus and buttons
        * Behavior on laptop lid close
        * Shell font size
        * File manager desktop icons
        * Titlebar click action
        * Shell clock to show date
        * Font hinting and antialiasing 

%prep
%setup -q
%patch101 -p1 -b .vine

%build
autoreconf -if
intltoolize --force --copy
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

perl -pi -e 's/OnlyShowIn=GNOME;Unity;Pantheon;/OnlyShowIn=GNOME;/' $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
update-desktop-database -q &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
    update-desktop-database -q &> /dev/null || :
fi

%files -f %{name}.lang
%doc AUTHORS COPYING NEWS README
%{_bindir}/%{name}
%{python_sitelib}/gtweak
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/*/*


%changelog
* Sun Aug 11 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.1-1
- new upstream release

* Mon Apr 22 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.0-1
- new upstream release
- update Patch101
- add BuildRequires: autoconf, gnome-common

* Tue Oct 16 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.1-1
- new upstream release

* Thu Oct 11 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.0-1
- new upstream release
- update Patch101

* Tue Oct 02 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.5.5-1
- new upstream release
- update Patch101

* Sun May 20 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.0.1-1
- new upstream release

* Tue Apr 17 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.3.4-1
- new upstream release
- update Patch101

* Sun Feb 19 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.2-2
- rebuild with python-2.7.2

* Wed Dec 28 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.2-1
- new upstream release

* Mon Nov 21 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.1-1
- new upstream release

* Fri Sep 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.0-1
- new upstream release

* Sat Sep 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.90-1
- new upstream release
- change BuildRequires: pygobject3-devel instead of pygojbect-devel
- update Patch101

* Sat Aug 27 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.0-1
- new upstream release
- update Patch101

* Wed Aug 17 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.5-1
- initial build for Vine Linux


* Tue Jul 19 2011 Michel Salim <salimma@fedoraproject.org> - 3.0.5-2
- Depend on nautilus (# 722541)

* Thu Jun 30 2011 Michel Salim <salimma@fedoraproject.org> - 3.0.5-1
- Update to 3.0.5
- upstream news:
  http://ftp.gnome.org/pub/GNOME/sources/gnome-tweak-tool/3.0/gnome-tweak-tool-3.0.5.news
  * autostart fixes
  * appearance improvements
  * focus follow mouse mode
  * finer-grained desktop item visibility
  * streamlined shell restart offer when enabling extensions

* Mon Jun 13 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 3.0.4-1
- Update to 3.0.4
- Dropped redundant commented out lines in spec
- Updated description
- Dropped defattr since it is set by default in recent RPM
- http://ftp.gnome.org/pub/GNOME/sources/gnome-tweak-tool/3.0/gnome-tweak-tool-3.0.4.news
  * Enables support for system wide themes
  * Supports management of shell extensions 

* Wed May  4 2011 Michel Salim <salimma@fedoraproject.org> - 3.0.3-1
- Update to 3.0.3

* Mon Apr  4 2011 Michel Salim <salimma@fedoraproject.org> - 3.0.0-1
- Update to 3.0.0

* Fri Mar 25 2011 Michel Salim <salimma@fedoraproject.org> - 2.91.93-2
- Enable icon theme selection

* Fri Mar 25 2011 Michel Salim <salimma@fedoraproject.org> - 2.91.93-1
- Update to 2.91.93

* Tue Mar 22 2011 Michel Salim <salimma@fedoraproject.org> - 2.91.92-3
- Include license information

* Tue Mar 22 2011 Michel Salim <salimma@fedoraproject.org> - 2.91.92-2
- Use %%configure macro
- Validate desktop file

* Mon Mar 21 2011 Michel Salim <salimma@fedoraproject.org> - 2.91.92-1
- Initial package
