%define ver 3.0

Summary: A C++ interface for the GTK+ (a GUI library for X).
Summary(ja): GTK+ の C++ インターフェイス
Name: gtkmm3
Version: 3.8.1
Release: 1%{?_dist_release}
License: LGPL
Group: System Environment/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/sources/gtkmm/3.8/gtkmm-%{version}.tar.xz

URL: http://gtkmm.sourceforge.net/
Buildroot: %{_tmppath}/%{name}-%{version}-root
Requires: glibmm >= 2.33.13
Requires: pangomm >= 2.27.1
Requires: atk >= 1.9.0
Requires: gtk3 >= 3.6.0
BuildRequires: glibmm-devel >= 2.33.13
BuildRequires: cairomm-devel
BuildRequires: pangomm-devel >= 2.27.1
BuildRequires: atkmm-devel
BuildRequires: gtk3-devel >= 3.6.0
BuildRequires: libsigc++-devel >= 2.0.0
BuildRequires: doxygen

Vendor: Project Vine
Distribution: Vine Linux

%description
gtkmm (previously known as Gtk--) is the official C++ interface for the
popular GUI library GTK+. Highlights include typesafe callbacks, widgets
extensible via inheritance and a comprehensive set of widget classes that
can be freely combined to quickly create complex user interfaces.

The gtkmm devel package contains the static libraries and header files
needed for developing GTK+ (GIMP ToolKit) applications in C++.


%package	devel
Summary: 	Development tools for gtkmm applications.
Summary(ja): 	gtkmm アプリケーションの開発用ファイル
Group: 		Development/Libraries
Requires:       %{name} = %{version}
Requires:       gtk3-devel >= 3.6.0
Requires:       glibmm-devel >= 2.33.13
Requires:       cairomm-devel
Requires:       pangomm-devel >= 2.27.1

%description devel
This package contains the headers that programmers will need to develop
applications which will use Gtk--, the C++ interface to the GTK+
(the Gimp ToolKit) GUI library.

%prep
%setup -q -n gtkmm-%{version}
#patch0 -p1

%build
%configure --disable-static
make %{?_smp_mflags}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

# Fix documentation installation, put everything under gtk-doc
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gtk-doc/html/gtkmm-%{ver}
mv ${RPM_BUILD_ROOT}%{_docdir}/gtkmm-%{ver}/* $RPM_BUILD_ROOT%{_datadir}/gtk-doc/html/gtkmm-%{ver}/

# devhelp path fix
sed -i 's:doc/gtkmm-%{ver}:gtk-doc/html/gtkmm-%{ver}:g' $RPM_BUILD_ROOT%{_datadir}/devhelp/books/gtkmm-%{ver}/gtkmm-%{ver}.devhelp2

# remove demos, examples
rm -rf $RPM_BUILD_ROOT%{_datadir}/gtkmm-%{ver}/demo
rm -rf $RPM_BUILD_ROOT%{_datadir}/gtkmm-%{ver}/examples

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/lib*.so.*

%files  devel
%defattr(-, root, root)
%{_includedir}/*
#{_libdir}/*.la
#{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/gtkmm-*
%{_libdir}/gdkmm-*
%{_libdir}/pkgconfig/*.pc

%{_datadir}/gtk-doc/html/*
%{_datadir}/devhelp/books/*

%changelog
* Sat May 18 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.1-1
- new upstream release

* Mon Oct 22 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.0-1
- new upstream release

* Sat Oct 13 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.5.13-1
- new upstream release

* Thu Sep 27 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.5.12-1
- new upstream release
- add BuildRequires: doxygen

* Sun Apr 22 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.0-1
- new upstream release

* Wed Sep 28 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.0-1
- new upstream release

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.90.1-1
- new upstream release

* Sat Sep 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.16-1
- new upstream release

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.10-1
- initial build for Vine Linux

