Summary: A Unicode/ISO10646 character map and font viewer.
Summary(ja): Unicode/ISO10646 文字コード表およびフォントビューワ
Name: gucharmap
Version: 3.8.2
Release: 1%{?_dist_release}
License: GPL
Group: Applications/System
URL: http://gucharmap.sourceforge.net/

Source: http://ftp.gnome.org/pub/gnome/sources/gucharmap/3.8/%{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: glib2-devel >= 2.28.0
BuildRequires: gtk3-devel >= 3.0.0
BuildRequires: desktop-file-utils
BuildRequires: docbook-dtds
BuildRequires: yelp-tools

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

%description
gucharmap is a Unicode/ISO10646 character map and font viewer.

%description -l ja
gucharmap は Unicode/ISO10646 文字コード表およびフォントビューワです。

%package devel
Summary: Header files, libraries and development documentation for %{name}.
Summary(ja): %{name} のヘッダファイル、ライブラリおよび開発用ドキュメント
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gtk3-devel
Requires: glib2-devel

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%description devel -l ja
このパッケージには %{name} のヘッダファイル、ライブラリおよび開発用
ドキュメントが含まれています。%{name} を使ったプログラムを開発する場合、
%{name}-devel をインストールする必要があります。

%prep
%setup -q

%build
%configure \
	--with-gtk=3.0 \
        --disable-static 
make %{?_smp_mflags}

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --all-name --with-gnome

# remove unneeded files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.{a,la}
rm -f $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/icon-theme.cache

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%post 
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache -q %{_datadir}/icons/hicolor;
fi

%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache -q %{_datadir}/icons/hicolor;
fi
if [ $1 -eq 0 ]; then
  glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:


%files -f %{name}.lang
%defattr(-, root, root, 0755)
%doc ChangeLog COPYING* README TODO
%{_bindir}/*
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/Gucharmap-2.90.typelib
%{_datadir}/applications/*
%{_datadir}/glib-2.0/schemas/org.gnome.Charmap.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.Charmap.gschema.xml

%files devel
%defattr(-, root, root, 0755)
%{_includedir}/gucharmap-2.90
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/Gucharmap-2.90.gir

%changelog
* Sun May 19 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.2-1
- new upstream release

* Sun Apr 21 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.1-1
- new upstream release
- remove BuildRequires: gnome-utils
- add BuildRequies: desktop-file-utils

* Wed Nov 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.1-1
- new upstream release

* Tue Oct 16 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.0-1
- new upstream release

* Sat Sep 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.5.99-1
- new upstream release
- change BuildRequires: yelp-tools instead of gnome-doc-utils

* Sun Apr 22 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.1.1-1
- new upstream release
- remove BuildRequires: GConf2-devel

* Tue Nov 22 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.2-1
- new upstream release

* Sat Oct 22 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.1-1
- new upstream release

* Thu Sep 29 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.0-1
- new upstream release

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.92-1
- new upstream release

* Mon Aug 15 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.1-1
- new upstream release
- change BuildRequires: gtk3-devel instead of gtk2-devel

* Sat Nov 20 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.1-1
- new upstream release

* Mon Oct 04 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.0-1
- new upstream release

* Sun Sep 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.2-2
- rebuild with rpm-4.8.1 for pkg-config file

* Tue Jun 29 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.2-1
- new upstream release
- add BuildRequires: docbook-dtds

* Sat May 22 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.1-1
- new upstream release

* Wed Mar 31 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- new upstream release

* Sun Mar 14 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.28.2-1
- new upstream release

* Sun Nov  1 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.28.1-1
- new upstream release

* Sat Jul 04 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.3.1-1
- new upstream release

* Thu May 28 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.2-1
- new upstream release

* Sat Apr 25 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.1-1
- new upstream release
- remove static library

* Tue Oct 28 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.1-1
- new upstream release

* Mon Oct 13 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.24.0-1vl5
- new upstream release
- spec in UTF-8

* Thu Apr 10 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.1-1vl5
- new upstream release
- added %%pre, %%preun section

* Mon Jan 14 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.10.2-0vl1
- new upstream release

* Sun Jan  7 2007 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.4.4-0vl2
- add Vendor/Distribution tag
- add BuildRequires: gnome-doc-utils, libgnomeui-devel, libgnome-devel
- add Requires: {gtk2,glib2,libgnomeui,libgnome}-devel to -devel package
- not run gtk-query-immodules-2.0 at %%post and %%postun
- use %%{buildroot} consistently

* Sat Oct  8 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.4.4-0vl1
- new upstream release
- added --disable-scrollkeeper option

* Thu Mar 31 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.4.3-0vl1
- new upstream release

* Fri Nov 12 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.4.2-0vl1
- new upstream release
- added Japanese summay and description

* Sun Jan 11 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.0-0vl1
- build for Vine Linux
- based on Dag Apt Repository, http://dag.wieers.com/apt/

* Sat Nov 22 2003 Dag Wieers <dag@wieers.com> - 1.2.0-0
- Updated to release 1.2.0.

* Tue Sep 09 2003 Dag Wieers <dag@wieers.com> - 1.0.0-0
- Updated to release 1.0.0.

* Fri Aug 22 2003 Dag Wieers <dag@wieers.com> - 0.9.0-0
- Updated to release 0.9.0.

* Wed Jun 11 2003 Dag Wieers <dag@wieers.com> - 0.8.0-0
- Updated to release 0.8.0.

* Wed Jun 04 2003 Dag Wieers <dag@wieers.com> - 0.6.1.20030604-0
- Updated to release 0.6.1.20030604.

* Mon May 19 2003 Dag Wieers <dag@wieers.com> - 0.6.1-0
- Updated to release 0.6.1.

* Fri May 02 2003 Dag Wieers <dag@wieers.com> - 0.6.0-0
- Updated to release 0.6.0.

* Tue Mar 25 2003 Dag Wieers <dag@wieers.com> - 0.4.0-1
- Added extra documents.

* Tue Mar 18 2003 Dag Wieers <dag@wieers.com> - 0.4.0-0
- Initial package. (using DAR)
