Name: kalgebra
Summary: Algebraic graphing calculator for KDE
Version: 4.11.1
Release: 1%{?_dist_release}

License: GPLv2+
Group: Applications/Edutainment
URL: http://edu.kde.org/kalgebra/

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz

## upstream patches

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: desktop-file-utils
BuildRequires: kdelibs4-devel >= %{version}
BuildRequires: libkdeedu-devel
BuildRequires: analitza-devel
BuildRequires: mesa-libGL-devel
BuildRequires: readline-devel
BuildRequires: soprano-devel

Requires: kdebase-runtime%{?_kde4_version: >= %{_kde4_version}}

Conflicts: kdeedu4 < 4.6.50

Obsoletes: %{name}-libs < 4.9.0
Provides: %{name}-libs = %{version}-%{release}

Obsoletes: %{name}-devel < 4.9.0

%description
KAlgebra is a algebraic graphing calculator with support for 3D 
graphing and MathML markup language.

This package is part of the KDE education module.


%prep
%setup -q 

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf $RPM_BUILD_ROOT
make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}

%clean
rm -rf $RPM_BUILD_ROOT 

%check
for f in $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*.desktop ; do
    desktop-file-validate $f
done


%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:

%posttrans
update-desktop-database -q &> /dev/null ||:
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
    update-desktop-database -q &> /dev/null ||:
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:
    gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:
fi


%files
%defattr(-,root,root)
%doc COPYING COPYING.DOC
%{_bindir}/kalgebra
%{_bindir}/kalgebramobile
%{_libdir}/kde4/*.so
%{_libdir}/kde4/imports/org/kde/analitza/Graph2D.qml
%{_libdir}/kde4/imports/org/kde/analitza/libanalitzadeclarativeplugin.so
%{_libdir}/kde4/imports/org/kde/analitza/qmldir
%{_datadir}/applications/kde4/kalgebra*.desktop
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/kde4/apps/kalgebramobile
%{_datadir}/kde4/apps/plasma/plasmoids/org.kde.graphsplasmoid/contents/ui/config.ui
%{_datadir}/kde4/apps/plasma/plasmoids/org.kde.graphsplasmoid/contents/ui/main.qml
%{_datadir}/kde4/apps/plasma/plasmoids/org.kde.graphsplasmoid/metadata.desktop
%{_datadir}/kde4/apps/katepart
%{_datadir}/kde4/services/graphsplasmoid.desktop
%{_datadir}/kde4/services/kalgebraplasmoid.desktop
%doc %{_docdir}/HTML/en/kalgebra/


%changelog
* Sun Sep 08 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.11.1-1
- new upstream release

* Sat Jul 06 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.10.5-1
- new upstream release

* Fri Jan 04 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.5-1
- new upstream release

* Sat Nov 10 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.3-1
- new upstream release

* Sun Oct 07 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.2-1
- new upstream release

* Thu Sep 06 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.1-1
- new upstream release

* Mon Aug 13 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.0-1
- new upstream release
- add BuildRequires: analitza-devel
- remove -devel and -libs subpackages

* Thu Sep  8 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.7.0-1
- split from kdeedu

