Name: kget
Summary: Downloader manager for KDE
Summary(ja): KDE 用ダウンロードマネージャー
Version: 4.11.1
Release: 1%{?_dist_release}

License: GPLv2, LGPLv2
Group: Applications/Internet
URL: http://www.kde.org/

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: desktop-file-utils
BuildRequires: kdelibs-devel >= %{version}
BuildRequires: kdebase-workspace-devel >= %{version}
BuildRequires: kdebase-devel >= %{version}
BuildRequires: nepomuk-core >= %{version}
BuildRequires: nepomuk-core-devel >= %{version}
BuildRequires: nepomuk-widgets-devel >= %{version}
BuildRequires: sqlite3-devel
BuildRequires: qca2-devel
BuildRequires: soprano-devel
BuildRequires: libktorrent-devel

Requires(posttrans,postun): desktop-file-utils

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi


%description
kget is the download manager for KDE.


%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIB_INSTALL_DIR:PATH=%{_libdir} \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf $RPM_BUILD_ROOT
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:
  update-desktop-database -q &> /dev/null ||:
fi


%files
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.DOC COPYING.LIB
%{_bindir}/%{name}
%{_libdir}/libkgetcore.so*
%{_libdir}/kde4/*.so
%{_datadir}/applications/kde4/%{name}.desktop
%{_datadir}/config.kcfg/*
%{_datadir}/dbus-1/services/org.kde.%{name}.service
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/kde4/apps/dolphinpart/kpartplugins/kget_plug_in.*
%{_datadir}/kde4/apps/kconf_update/*
%{_datadir}/kde4/apps/%{name}
%{_datadir}/kde4/apps/khtml/kpartplugins/kget_plug_in.*
%{_datadir}/kde4/apps/kwebkitpart/kpartplugins/kget_plug_in.*
%{_datadir}/kde4/services/ServiceMenus/kget_download.desktop
%{_datadir}/kde4/services/*.desktop
%{_datadir}/kde4/servicetypes/kget_plugin.desktop
%{_datadir}/ontology/kde/kget_history.*
%{_docdir}/HTML/en/*


%changelog
* Sun Sep 15 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.11.1-1
- initial build

