Name: kopete
Summary: Chat client for KDE
Summary(ja): KDE 用チャットクライアント
Version: 4.11.1
Release: 1%{?_dist_release}

License: GPLv2, LGPLv2
Group: Applications/Internet
URL: http://www.kde.org/

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: desktop-file-utils
BuildRequires: kdelibs-devel >= %{version}
BuildRequires: kdepimlibs-devel >= %{version}
BuildRequires: qca2-devel
BuildRequires: qimageblitz-devel
BuildRequires: jasper-devel
BuildRequires: sqlite3-devel
BuildRequires: ortp-devel >= 0.13
BuildRequires: libsrtp-devel
BuildRequires: libidn-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: libotr-devel >= 3.2.0
BuildRequires: libmsn-devel >= 0.4.0
BuildRequires: giflib-devel
BuildRequires: meanwhile-devel
BuildRequires: libgadu-devel >= 1.8.0
BuildRequires: soprano-devel

Requires(posttrans,postun): desktop-file-utils

# kopete/yahoo
Requires: jasper
# kopete/jabber
Requires: qca-ossl

Requires: %{name}-libs = %{version}-%{release}

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi


%description
Kopete is an Instant Messaging client designed to be modular
and plugin based.

%package libs
Summary: Runtime libraries for %{name}
Group:   System Environment/Libraries

%description libs
%{summary}.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name}-libs = %{version}-%{release}
Requires: kdelibs-devel

%description devel
Development files for %{name}.

%prep
%setup -q

%build
sed -i "s|macro_display_feature_log()||" CMakeLists.txt
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIB_INSTALL_DIR:PATH=%{_libdir} \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf $RPM_BUILD_ROOT
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:
touch --no-create %{_datadir}/icons/oxygen &> /dev/null ||:

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:
gtk-update-icon-cache %{_datadir}/icons/oxygen &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:
  touch --no-create %{_datadir}/icons/oxygen &> /dev/null ||:
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_datadir}/icons/oxygen &> /dev/null ||:
  update-desktop-database -q &> /dev/null ||:
fi

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING.DOC COPYING.LIB README
%{_bindir}/kopete
%{_bindir}/kopete_latexconvert.sh
%{_bindir}/winpopup-install
%{_bindir}/winpopup-send
%{_libdir}/libqgroupwise.so
%{_libdir}/kde4/*.so
%{_libdir}/kde4/plugins/accessible/chatwindowaccessiblewidgetfactory.so
%{_libdir}/mozilla/plugins/skypebuttons.so
%{_datadir}/applications/kde4/%{name}.desktop
%{_datadir}/config/kopeterc
%{_datadir}/config.kcfg/*
%{_datadir}/dbus-1/interfaces/org.kde.Kopete.xml
%{_datadir}/dbus-1/interfaces/org.kde.kopete.Client.xml
%{_datadir}/dbus-1/interfaces/org.kde.kopete.Statistics.xml
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/icons/oxygen/*/*/*
%{_datadir}/kde4/apps/kconf_update/
%{_datadir}/kde4/apps/kopete/
%{_datadir}/kde4/apps/kopete_contactnotes/
%{_datadir}/kde4/apps/kopete_groupwise/
%{_datadir}/kde4/apps/kopete_history/
%{_datadir}/kde4/apps/kopete_history2/
%{_datadir}/kde4/apps/kopete_jabber/
%{_datadir}/kde4/apps/kopete_latex/
%{_datadir}/kde4/apps/kopete_otr/
%{_datadir}/kde4/apps/kopete_privacy/
%{_datadir}/kde4/apps/kopete_skype/
%{_datadir}/kde4/apps/kopete_statistics/
%{_datadir}/kde4/apps/kopete_translator/
%{_datadir}/kde4/apps/kopete_wlm/
%{_datadir}/kde4/apps/kopete_yahoo/
%{_datadir}/kde4/apps/kopeterichtexteditpart/
%{_datadir}/kde4/services/*.desktop
%{_datadir}/kde4/services/*.protocol
%{_datadir}/kde4/services/kconfiguredialog/*.desktop
%{_datadir}/kde4/servicetypes/*.desktop
%{_datadir}/sounds/*
%{_docdir}/HTML/en/*

%files libs
%defattr(-,root,root,-)
%{_libdir}/libkopete.so.*
%{_libdir}/libkopete_oscar.so.*
%{_libdir}/libkopete_otr_shared.so.*
%{_libdir}/libkopete_videodevice.so.*
%{_libdir}/libkopeteaddaccountwizard.so.*
%{_libdir}/libkopetechatwindow_shared.so.*
%{_libdir}/libkopetecontactlist.so.*
%{_libdir}/libkopeteidentity.so.*
%{_libdir}/libkopeteprivacy.so.*
%{_libdir}/libkopetestatusmenu.so.*
%{_libdir}/libkyahoo.so.*
%{_libdir}/liboscar.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/kde4/%{name}
%{_libdir}/libkopete.so
%{_libdir}/libkopete_oscar.so
%{_libdir}/libkopete_otr_shared.so
%{_libdir}/libkopete_videodevice.so
%{_libdir}/libkopeteaddaccountwizard.so
%{_libdir}/libkopetechatwindow_shared.so
%{_libdir}/libkopetecontactlist.so
%{_libdir}/libkopeteidentity.so
%{_libdir}/libkopeteprivacy.so
%{_libdir}/libkopetestatusmenu.so
%{_libdir}/libkyahoo.so
%{_libdir}/liboscar.so

%changelog
* Sun Sep 15 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.11.1-1
- initial build

