Name: kreversi
Summary: Reversi Board Game for KDE
Version: 4.11.1
Release: 1%{?_dist_release}

License: GPLv2
Group: Applications/Accessories
URL: http://www.kde.org/applications/games/

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: desktop-file-utils
BuildRequires: kdelibs4-devel >= %{version}
BuildRequires: libkdegames-devel >= %{version}

Requires(posttrans,postun): desktop-file-utils

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

%description
KReversi is a simple one player strategy game played against the computer.
If a player's piece is captured by an opposing player, that piece is turned
over to reveal the color of that player. A winner is declared when one player
has more pieces of his own color on the board and there are no more possible moves.


%prep
%setup -q 

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIB_INSTALL_DIR:PATH=%{_libdir} \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}


%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
touch --no-create %{_datadir}/icons/oxygen &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
gtk-update-icon-cache %{_datadir}/icons/oxygen &> /dev/null || :
update-desktop-database -q &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null
    touch --no-create %{_datadir}/icons/oxygen &> /dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null
    gtk-update-icon-cache %{_datadir}/icons/oxygen &> /dev/null
	update-desktop-database -q &> /dev/null ||:
fi


%files
%defattr(-,root,root)
%doc COPYING COPYING.DOC
%{_bindir}/%{name}
%{_datadir}/applications/kde4/%{name}.desktop
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/icons/oxygen/*/*/*
%{_datadir}/kde4/apps/%{name}
%doc %{_docdir}/HTML/en/%{name}/


%changelog
* Sun Sep 08 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.11.1-1
- new upstream release

* Sun Jul 07 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.10.5-1
- initial build
