%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

Summary: X.Org X11 libXv runtime library
Summary(ja): X.Org X11 libXv ランタイムライブラリ
Name:    libXv
Version: 1.0.10
Release: 1%{?_dist_release}
License: MIT/X11
Group: System Environment/Libraries
URL: http://www.x.org

Source0: ftp://ftp.x.org/pub/individual/lib/%{name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: pkgconfig
BuildRequires: xorg-x11-proto-devel
BuildRequires: xorg-x11-util-macros
BuildRequires: libX11-devel
BuildRequires: libXext-devel
Obsoletes: XFree86-libs, XOrg-libs

%description
X.Org X11 libXv runtime library

%package devel
Summary: X.Org X11 libXv development package
Summary(ja): X.Org X11 libXv 開発パッケージ
Group: Development/Libraries
Requires(pre): xorg-x11-filesystem
Requires: %{name} = %{version}-%{release}
Requires: libXext-devel
Requires: xorg-x11-proto-devel
Obsoletes: XFree86-devel, XOrg-devel

%description devel
X.Org X11 libXv development package

# compat32
%package -n compat32-%{name}
Summary: X.Org X11 libXv runtime library
Summary(ja): X.Org X11 libXv ランタイムライブラリ
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description -n compat32-%{name}
X.Org X11 libXv runtime library

%package -n compat32-%{name}-devel
Summary: X.Org X11 libXv development package
Summary(ja): X.Org X11 libXv 開発パッケージ
Group: Development/Libraries
Requires(pre): xorg-x11-filesystem
Requires: %{name}-devel = %{version}-%{release}
Requires: compat32-%{name} = %{version}-%{release}
Requires: compat32-libXext-devel

%description -n compat32-%{name}-devel
X.Org X11 libXv development package

%prep
%setup -q

# Disable static library creation by default.
%define with_static 0

%build
%configure \
%if ! %{with_static}
	--disable-static
%endif
make

%install

rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# We intentionally don't ship *.la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post -n compat32-%{name} -p /sbin/ldconfig
%postun -n compat32-%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README ChangeLog
%{_libdir}/libXv.so.1
%{_libdir}/libXv.so.1.0.0

%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/X11
%dir %{_includedir}/X11/extensions
%{_includedir}/X11/extensions/Xvlib.h
%if %{with_static}
%{_libdir}/libXv.a
%endif
%{_libdir}/libXv.so
%{_libdir}/pkgconfig/xv.pc
%{_mandir}/man3/*.3*

# compat32
%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-,root,root,-)
%{_libdir}/libXv.so.1
%{_libdir}/libXv.so.1.0.0

%files -n compat32-%{name}-devel
%defattr(-,root,root,-)
%if %{with_static}
%{_libdir}/libXv.a
%endif
%{_libdir}/libXv.so
%{_libdir}/pkgconfig/xv.pc
%endif

%changelog
* Mon Sep 23 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.10-1
- new upstream release

* Mon Aug 12 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.9-1
- new upstream release

* Sun Jun 02 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.8-1
- new upstream release
  (including security fix for CVE-2013-1989,2066)

* Fri Mar 09 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.7-1
- new upstream release
- add BuildRequires: xorg-x11-util-macros

* Sun Nov 07 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.6-1
- new upstream release

* Fri Sep 24 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.5-2
- rebuild with rpm-4.8.1 for pkg-config file

* Wed Nov 18 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.5-1
- new upstream release

* Wed Jul 08 2009 NAKAMURA Kenta <kenta@vinelinux.org> 1.0.4-2
- added compat32 package for x86_64 arch support

* Sat Jul 05 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.4-1
- new upstream release

* Sun May 18 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.3-1
- new versioning policy

* Thu Jan 17 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.3-0vl1
- initial build for Vine Linux

* Tue Aug 21 2007 Adam Jackson <ajax@redhat.com> - 1.0.3-3
- Rebuild for build id

* Sat Apr 21 2007 Matthias Clasen <mclasen@redhat.com> 1.0.3-2
- Don't install INSTALL

* Fri Jan 05 2007 Adam Jackson <ajax@redhat.com> 1.0.3-1
- Update to 1.0.3

* Mon Nov 20 2006 Adam Jackson <ajax@redhat.com> 1.0.2-1.fc7
- Update to 1.0.2

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> 1.0.1-4.1
- rebuild

* Fri Jun 09 2006 Mike A. Harris <mharris@redhat.com> 1.0.1-4
- Added "Requires: xorg-x11-proto-devel" to devel package for xv.pc

* Mon Jun 05 2006 Mike A. Harris <mharris@redhat.com> 1.0.1-3
- Added "BuildRequires: pkgconfig" for (#193505)
- Replace "makeinstall" with "make install DESTDIR=..."
- Remove package ownership of mandir/libdir/etc.

* Fri May 26 2006 Mike A. Harris <mharris@redhat.com> 1.0.1-2
- Added "Requires: libXext-devel" to libXv-devel subpackage, to avoid all
  packages that depend on libXv-devel from having to manually specify that
  dependency themselves, as it is required by Xv.  (#192167)

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> 1.0.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> 1.0.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 18 2006 Mike A. Harris <mharris@redhat.com> 1.0.1-1
- Updated libXv to version 1.0.1 from X11R7.0

* Tue Dec 13 2005 Mike A. Harris <mharris@redhat.com> 0.99.2-1
- Updated libXv to version 0.99.2 from X11R7 RC3
- Added "Requires(pre): xorg-x11-filesystem >= 0.99.2-3", to ensure
  that /usr/lib/X11 and /usr/include/X11 pre-exist.
- Removed 'x' suffix from manpage directories to match RC3 upstream.

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Nov 11 2005 Mike A. Harris <mharris@redhat.com> 0.99.1-2
- Changed 'Conflicts: XFree86-devel, xorg-x11-devel' to 'Obsoletes'
- Changed 'Conflicts: XFree86-libs, xorg-x11-libs' to 'Obsoletes'

* Mon Oct 24 2005 Mike A. Harris <mharris@redhat.com> 0.99.1-1
- Updated libXv to version 0.99.1 from X11R7 RC1
- Updated file manifest to find manpages in "man3x"

* Thu Sep 29 2005 Mike A. Harris <mharris@redhat.com> 0.99.0-3
- Renamed package to remove xorg-x11 from the name due to unanimous decision
  between developers.
- Use Fedora Extras style BuildRoot tag.
- Disable static library creation by default.
- Add missing defattr to devel subpackage
- Add missing documentation files to doc macro

* Tue Aug 23 2005 Mike A. Harris <mharris@redhat.com> 0.99.0-2
- Renamed package to prepend "xorg-x11" to the name for consistency with
  the rest of the X11R7 packages.
- Added "Requires: %%{name} = %%{version}-%%{release}" dependency to devel
  subpackage to ensure the devel package matches the installed shared libs.
- Added virtual "Provides: lib<name>" and "Provides: lib<name>-devel" to
  allow applications to use implementation agnostic dependencies.
- Added post/postun scripts which call ldconfig.
- Added Conflicts with XFree86-libs and xorg-x11-libs to runtime package,
  and Conflicts with XFree86-devel and xorg-x11-devel to devel package.

* Mon Aug 22 2005 Mike A. Harris <mharris@redhat.com> 0.99.0-1
- Initial build.
