Summary: Library for accessing weather information
Summary(ja): 天気予報情報にアクセスするライブラリ
Name: libgweather
Version: 3.8.1
Release: 1%{?_dist_release}
URL: http://www.gnome.org/
License: GPL 
Group: System Environment/Libraries
Source0: http://ftp.gnome.org/pub/GNOME/sources/libgweather/3.8/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: glib2-devel
BuildRequires: gtk3-devel
BuildRequires: libsoup-devel

Vendor: Project Vine
Distribution: Vine Linux

%description

libgweather is a library to access weather information from online
services for numerous locations.

%description -l ja

libgweather はオンラインサービス上にある世界中の天気予報情報に
アクセスするためのライブラリです。


%package l10n
Summary: Localized xml files for %{name}
Summary(ja): %{name} の多言語データ
Group: System Environment/Libraries
Requires: %{name} = %{version}

%description l10n
This package contains localized xml files for libgweather.
(except for English and Japanese)

%description -l ja l10n
このパッケージには libgweather 用の各種言語の xml ファイルが
含まれています。(英語および日本語以外の言語)


%package devel
Summary: Libraries and headers for libgweather
Summary(ja): libgweather 用ライブラリとヘッダ
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: gtk3-devel
Requires: libsoup-devel

%description devel

Libraries and headers for libgweather.

%description devel -l ja

libgweather 用ライブラリとヘッダ


%prep
%setup -q


%build
%configure --disable-static
# do NOT use smp flag
make


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_libdir}/lib*.{a,la}

%find_lang %{name}-3.0


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun
/sbin/ldconfig
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:

  
%files -f %{name}-3.0.lang
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_libdir}/lib*.so.*
%{_libdir}/girepository-1.0/GWeather-3.0.typelib
%dir %{_datadir}/libgweather
%{_datadir}/libgweather/Locations.xml
%{_datadir}/libgweather/Locations.ja.xml
%{_datadir}/libgweather/locations.dtd
%{_datadir}/icons/gnome/*/status/weather-*
%{_datadir}/glib-2.0/schemas/org.gnome.GWeather.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.GWeather.gschema.xml


%files l10n
%defattr(-,root,root)
%{_datadir}/libgweather/*.xml
%exclude %{_datadir}/libgweather/Locations.xml
%exclude %{_datadir}/libgweather/Locations.ja.xml
%exclude %{_datadir}/libgweather/locations.dtd


%files devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/gir-1.0/GWeather-3.0.gir
%{_datadir}/gtk-doc/html/libgweather-3.0


%changelog
* Wed Apr 17 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.1-1
- new upstream release

* Wed Nov 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.2-1
- new upstream release

* Tue Oct 16 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.1-1
- new upstream release

* Fri Sep 28 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.0-1
- new upstream release

* Sun Apr 01 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.1-1
- new upstream release

* Thu Nov 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.1-1
- new upstream release

* Wed Sep 28 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.0-1
- new upstream release

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.3-1
- new upstream release
- change BuildRequires: gtk3-devel instead of gtk2-devel

* Sun Oct 03 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.3-1
- new upstream release

* Thu Sep 23 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.2-2
- rebuild with rpm-4.8.1 for pkg-config file

* Tue Jun 29 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.2-1
- new upstream release

* Wed Mar 31 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- new upstream release

* Sat Oct 31 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.28.0-1
- new upstream release
- removed BR: gnome-vfs2-devel
- added BR: libsoup-devel

* Sat Jul 04 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.2.1-1
- new upstream release

* Wed Apr 08 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-2
- split l10n xml files to -l10n subpackage.

* Sat Mar 21 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-1
- new upstream release
- remove static libs

* Mon Jan 19 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.24.3-1
- new upstream release

* Sun Oct 26 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.24.1-1
- new upstream release

* Wed Sep 24 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0-1
- new upstream release

* Wed Jul 30 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.22.3-1
- new upstream release
- added Japanese summary and description, in UTF-8

* Sun Jun  1 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.2-1
- new upstream release

* Sat Apr 19 2008 NAKAMURA Kenta <kenta@vinelinux.org> 2.22.1.2-2
- dropped %%{_smp_mflags} from make option

* Thu Apr 17 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.1.2-1vl5
- new upstream release

* Wed Apr  9 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.1.1-1vl5
- new upstream release

* Sun Mar 30 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.0-1vl5
- initial package for Vine Linux
