Summary:	MATE keyring client library
Name:		libmatekeyring
Version:	1.6.0
Release:	1%{?_dist_release}
Source0:	http://pub.mate-desktop.org/releases/1.6/%{name}-%{version}.tar.xz
License:	GPLv2
Group:		System Environment/Libraries 
URL:		http://mate-desktop.org/

BuildRequires:	mate-common
BuildRequires:	glib2-devel
BuildRequires:	dbus-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	gtk-doc
BuildRequires:	autoconf
BuildRequires:	automake

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
mate-keyring is a program that keep password and other secrets for
users. The library libmate-keyring is used by applications to integrate
with the mate keyring system.


%package	devel
Summary:        Development tools for libmatekeyring
Summary(ja):    libmatekeyring の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description	devel
Header files and libraries for building a extension library for the
libmatekeyring.


%package        doc
Summary:        Documentation for libmatekeyring
Summary(ja):    libmatekeyring 用のドキュメント
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
This package contains documentation for libmatekeyring.


%prep
%setup -q


%build
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi)
%configure \
	--disable-static \
	
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING.LIB ChangeLog NEWS README
%{_libdir}/libmate-keyring.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/mate-keyring-1
%{_libdir}/libmate-keyring.so
%{_libdir}/pkgconfig/mate-keyring-1.pc

%files doc
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/mate-keyring


%changelog
* Sun May 19 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.0-1
- new upstream release

* Wed Aug 01 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.0-1
- new upstream release

* Sat May 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.0-1
- new upstream release

* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-1
- initial build for Vine Linux

