Name:           libsecret
Version:        0.16
Release:        1%{?_dist_release}
Summary:        GObject based library for accessing the Secret Service API
Summary(ja):    シークレットサービス API アクセス用の GObject 基本ライブラリ

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            https://live.gnome.org/Libsecret
Source0:        http://download.gnome.org/sources/libsecret/0.16/%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  glib2-devel >= 2.12.0
BuildRequires:  gobject-introspection-devel
BuildRequires:  libxslt-devel
BuildRequires:  libgcrypt-devel
BuildRequires:  gtk-doc

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
libsecret is a library for storing and retrieving passwords and other secrets.
It communicates with the "Secret Service" using DBus. gnome-keyring and
ksecretservice are both implementations of a Secret Service.

libsecret replaces libgnome-keyring.

%package        devel
Summary:        Development files for %{name}
Summary(ja):    %{name} の開発ファイル
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig


%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        doc
Summary:        Documentation for %{name}
Summary(ja):    %{name} 用のドキュメント
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
This package contains documentation for %{name}.


%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%check

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/secret-tool
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/*.typelib
%{_mandir}/man1/secret-tool.1.gz

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-1
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/*.gir

%files doc
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/%{name}-1


%changelog
* Sat Aug 31 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.16-1
- new upstream release

* Thu Apr 18 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.15-1
- new upstream release

* Tue Oct 16 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.11-1
- new upstream release

* Sat Sep 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10-1
- initial build
