Summary:	An powerfull text editor for MATE
Name:		mate-text-editor
Version:	1.6.0
Release:	1%{?_dist_release}
Source0:	http://pub.mate-desktop.org/releases/1.6/%{name}-%{version}.tar.xz
License:	GPLv2
Group:		Applications/Editors
URL:		http://mate-desktop.org/

BuildRequires:	mate-common
BuildRequires:	mate-doc-utils
BuildRequires:	gtk2-devel
BuildRequires:	gtksourceview2-devel
BuildRequires:	libsoup-devel
BuildRequires:	enchant-devel
BuildRequires:	libSM-devel
BuildRequires:	iso-codes
BuildRequires:	gtk-doc
BuildRequires:	autoconf
BuildRequires:	automake

Requires(posttrans,postun):	glib2
Requires(post,postun):	desktop-file-utils

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
pluma is part of MATE and uses the latest GTK+ and MATE libraries.
Complete MATE integration is featured, with support for Drag and Drop (DnD)
from Caja (the MATE file manager), the use of the MATE help system,
the MATE Virtual File System and the MATE print framework.


%package	devel
Summary:        Development tools for mate-text-editor
Summary(ja):    mate-text-editor の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description	devel
Header files and libraries for building a extension library for the
mate-text-editor.


%prep
%setup -q


%build
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi)
%configure \
	--libexecdir=%{_libexecdir}/mate \
	--disable-static

%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}

%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang pluma


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post
/sbin/ldconfig
update-desktop-database %{_datadir}/applications >& /dev/null ||:

%postun
/sbin/ldconfig
if [ $1 -eq 0 ]; then
  update-desktop-database %{_datadir}/applications >& /dev/null ||:
  glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:


%files -f pluma.lang
%defattr(-,root,root,-)
%doc COPYING ChangeLog NEWS README
%{_bindir}/mate-text-editor
%{_bindir}/pluma
%{_libdir}/pluma/plugin-loaders/libcloader.so
%{_libdir}/pluma/plugins
%{_libexecdir}/mate/pluma/pluma-bugreport.sh
%{_datadir}/MateConf/gsettings/pluma.convert
%{_datadir}/applications/pluma.desktop
%{_datadir}/glib-2.0/schemas/org.mate.pluma.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.pluma.plugins.filebrowser.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.pluma.plugins.time.gschema.xml
%{_datadir}/mate/help/pluma
%{_datadir}/omf/pluma
%{_datadir}/pluma
%{_mandir}/man1/pluma.1.gz

%files devel
%defattr(-,root,root,-)
%{_includedir}/pluma
%{_libdir}/pkgconfig/pluma.pc


%changelog
* Sun May 19 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.0-1
- new upstream release

* Thu Aug 02 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.0-1
- new upstream release
- remove Patch0 (mate-text-editor-1.2.0-configure.patch)

* Sat May 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.0-1
- new upstream release
- add Patch0 (mate-text-editor-1.2.0-configure.patch)

* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-2
- change category

* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-1
- initial build for Vine Linux

