Summary:	A lightweight GTK+ web browser
Summary(ja):	軽量な GTK+ ウェブブラウザ
Name:		midori
Version:	0.5.5
Release:        1%{?_dist_release}

Group:		Applications/Internet
License:	LGPLv2.1+
URL:		http://twotoasts.de/index.php/midori/

Source0:	http://software.twotoasts.de/media/%{name}/%{name}_%{version}_all_.tar.bz2
#Patch0:	%{name}-0.2.9-docdir.patch
#Patch0:         fix_desktop_entry.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	libsexy-devel
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 2.6
BuildRequires:	perl-XML-Parser

#%if %{?_dist_release} == "vl6"
#BuildRequires:	WebKit-gtk-devel >= 1.1.17
#BuildRequires:  gtk2-devel >= 2.10.0
## for Single instance
#BuildRequires:  unique-devel >= 0.9

BuildRequires: WebKit3-gtk-devel
BuildRequires: gtk3-devel >= 3.0.0
BuildRequires: unique3-devel >= 0.9

## for IDN support
BuildRequires:  libidn-devel >= 1.0
## for Persistent history
BuildRequires:  sqlite3-devel >= 3.0
BuildRequires:  glib2-devel >= 2.22.0

BuildRequires:  libsoup-devel >= 2.27.90
## for Icon optimizations: /usr/bin/rsvg-convert
BuildRequires:  librsvg2
## for User documentation
BuildRequires:  python-docutils
## for API documentation
BuildRequires:  gtk-doc

BuildRequires:  gtksourceview2-devel
BuildRequires:  intltool
BuildRequires:  libnotify-devel
BuildRequires:  libXScrnSaver-devel
BuildRequires:  vala-devel >= 0.14
BuildRequires:  gcr-devel

Requires:	WebKit-gtk

%description
Midori is a lightweight web browser, and has many features expected of a
modern browser, including:
* Full integration with GTK+2.
* Fast rendering with WebKit.
* Tabs, windows and session management.
* Bookmarks are stored with XBEL.
* Searchbox based on OpenSearch.
* Custom context menu actions.
* User scripts and user styles support.
* Extensible via Lua scripts.

The project is currently in an early alpha state. The features are still being
implemented, and some are still quite incomplete.

%description -l ja
Midori は軽量な Web ブラウザで、多くの機能がモダンブラウザとして期待されています。
以下の機能が含まれています。：
* GTK+2 に完全に統合。
* WebKit で高速なレンダリング。
* タブ、ウィンドウおよびセッションの管理。
* ブックマークは XBEL で格納。
* OpenSearch に基づくサーチボックス。
* カスタムコンテキストメニューの操作。
* ユーザースクリプトとユーザースタイルをサポート。
* Lua スクリプトを介して拡張可能。

プロジェクトは現在初期アルファの状態にあります。
機能はまだ実装中で、一部はかなり不完全です。

%package	devel
Summary:	Development files for %{name}
Summary(ja):	%{name} の開発ファイル
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	vala

%description	devel
The %{name}-devel package contains libraries and header files for
developing extensions for %{name}.

%prep
%setup -q
#%patch0 -p1 -b .docdir
#%patch0 -p1
sed -i '18,32d' data/midori.desktop.in

%build
export CFLAGS="%{optflags}"
./waf   --prefix=%{_usr}                        \
        --docdir=%{_docdir}/%{name}-%{version}  \
        --libdir=%{_libdir}                     \
	--enable-apidocs			\
	--disable-zeitgeist                     \
        configure --enable-gtk3
./waf %{?_smp_mflags} build

%install
rm -rf %{buildroot}
./waf --destdir=%{buildroot} install
%find_lang %{name}
desktop-file-install					\
	--vendor ""					\
	--delete-original				\
	--dir %{buildroot}%{_datadir}/applications	\
	%{buildroot}%{_datadir}/applications/%{name}.desktop

#mkdir -p %{buildroot}%{_datadir}/gtk-doc/html/%{name}
#install -Dpm 644 _build_/docs/api/midori/html/* \
#	%{buildroot}%{_datadir}/gtk-doc/html/%{name}

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
	touch --no-create %{_datadir}/icons/hicolor &>/dev/null
	gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}-%{version}/
%{_bindir}/midori
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/icons/hicolor/*
%{_datadir}/%{name}/
%{_libdir}/%{name}/
%{_sysconfdir}/xdg/%{name}/

%files devel
%defattr(-,root,root,-)
#%doc %{_datadir}/gtk-doc/
%{_datadir}/vala/
%{_includedir}/%{name}-0.5/

%changelog
* Sat Aug 31 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.5.5-1
- new upstream release

* Sun May 19 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.5.2-1
- new upstream release
- added BuildRequires: gcr-devel

* Sat Apr 06 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.5.0-1
- new upstream release
- run sed to delete disused code instead of Patch

* Sat Mar 30 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.4.9-1
- new upstream release
- refreshed patch0

* Sun Feb 10 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.4.8-1
- new upstream release
- fixed %%configure option
  - deleted --disable-hildon
  - added --disable-zeitgeist

* Sat Sep 22 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.4.7-1
- new upstream release
- refreshed patch0
- used GTK3 toolkit
  - added BuildRequires: WebKit3-gtk-devel, gtk3-devel >= 3.0.0, unique3-devel >= 0.9

* Tue May 15 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.4.6-1
- new upstream release
- changed URL

* Sun Apr 15 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.4.5-1
- new upstream release
- changed BuildRequires: vala-devel >= 0.14

* Sat Mar 10 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.4.4-1
- new upstream release

* Sun Dec 18 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.4.3-1
- new upstream release

* Fri Nov 11 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.4.2-1
- new upstream release
- changed BuildRequires: libsoup-devel >= 2.25.2 to >= 2.27.90, 
  glib2-devel >= 2.16.0 to >= 2.22, WebKit-gtk-devel >= 1.1.6 to 1.1.17

* Thu Oct 13 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.4.1-2
- changed BuildRequires: docutils to python-docutils

* Mon Oct 10 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.4.1-1
- new upstream release

* Wed Aug 03 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.4.0-1
- new upstream release
- refresh patch0

* Wed May 25 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.3.6-1
- new upstream release
- added Patch0 to fix desktop entry

* Tue May 10 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.3.5-1
- new upstream release

* Sun Apr 10 2011 IWAI, Masaharu <iwai@alib.jp> 0.3.3-1
- new upstream release

* Sun Feb 27 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.3.2-1
- new upstream release

* Tue Feb 1 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.3.0-1
- new upstream release
- dropt Patch0

* Sun Nov 7 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.2.9-1
- new upstream release
- recreated patch0
- probed %%post and %%postun
  - added %%posttrans

* Mon Sep 27 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.2.8-1
- new upstream release

* Thu Aug 26 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.2.7-1
- new upstream release
- disabled conditional branch to vala support
  - to preparation vala package on Vine 5
- splitted devel file
- enabled BuildRequires: gtk-doc

* Wed May 26 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.2.6-1
- new upstream release
- deleted duplicate BuildRequires (librsvg2)
- added BuildRequires: libXScrnSaver-devel
- fixed BuildRoot path
- applied conditional branch to vala support

* Thu May 20 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.2.5-1
- new upstream release
- added BuildRequires: gtksourceview2-devel, intltool, libnotify-devel, librsvg2,
  vala-devel
- added Patch0 from Fedora to fix docdir
- improved %files section

* Sat Mar 20 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.2.4-1
- new upstream release
- applied new naming policy to spec

* Thu Feb 25 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.2.3-1
- new upstream release

* Mon Dec 28 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.2.2-1
- new upstream release

* Sat Nov 14 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.2.1-1
- new upstream release

* Fri Oct 16 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.2.0-1
- new upstream release
- fixed BuildRequires:	perl-XML-Parser

* Sun Sep 13 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.1.10-1
- new upstream release

* Sun Aug 2 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.1.9-1
- new upstream release

* Mon Jul 27 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.1.8-2
- added Japanese description
- fixed BuildRequires:	perl(XML::Parser) to perl-XML-Parser

* Sun Jul 26 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.1.8-1
- new upstream release
- few changed in %files seciton

* Sun May 10 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.1.6-1
- new upstream release
- add BR: WebKit-gtk-devel >= 1.1.6
- add --disable-hildon to configure option

* Thu Mar 26 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.1.4-1
- new upstream release
- drop old ja.po

* Mon Feb 02 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.1.1-1
- new upstream release

* Sun Aug 24 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.19-1
- new upstream release
- update ja.po

* Fri Jul 11 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 	0.0.18-1
- initial build for Vine Linux
- add initial ja.po

* Sat May 24 2008 Peter Gordon <peter@thecodergeek.com> - 0.0.18-1
- Update to new upstream release (0.0.18), adds some translations and
  a lot of bug-fixes.
- Alphabetize dependency list (aesthetic-only change).

* Sat Apr 12 2008 Peter Gordon <peter@thecodergeek.com> - 0.0.17-3
- Rebuild for updated WebKit library so-name and include directory.

* Mon Mar 03 2008 Peter Gordon <peter@thecodergeek.com> - 0.0.17-2
- Cleanups from review (bug 435661):
  (1) Fix consistency of tabs/spaces usage.
  (2) Fix source permissions.
  (3) Add desktop-file-utils build dependency.

* Sun Mar 02 2008 Peter Gordon <peter@thecodergeek.com> - 0.0.17-1
- Initial packaging for Fedora.
