Name:          nepomuk-widgets
Summary:       Nepomuk Widgets library
Summary(ja):   Nepomuk widget ライブラリ
Version:       4.11.1
Release:       1%{?_dist_release}

License:       GPLv2,LGPLv2
Group:         User Interface/Desktops
URL:           http://nepomuk.kde.org/

Source0:       ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz

BuildRoot:     %{_tmppath}/%{name}-%{version}-root

BuildRequires:	kdelibs-devel >= %{version}
BuildRequires:	nepomuk-core-devel >= %{version}
BuildRequires:	soprano-devel

%description
The Library containing the Nepomuk Widgets.


%package devel
Summary:  Developer files for %{name}
Summary(ja): %{name} の開発用ファイル
Group:    Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: nepomuk-core-devel >= %{version}-%{release}

%description devel
%{summary}.

%description -l ja devel
%{name} の開発用ファイルです．


%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIB_INSTALL_DIR:PATH=%{_libdir} \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf $RPM_BUILD_ROOT

make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING COPYING.LIB COPYING.README
%{_libdir}/libnepomukwidgets.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/kde4/nepomuk2
%{_libdir}/libnepomukwidgets.so
%{_libdir}/cmake/NepomukWidgets


%changelog
* Sun Sep 08 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.11.1-1
- new upstream release

* Sat Jul 06 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.10.5-1
- initial build for Vine Linux
