## TODO: build with opencore-amr

%define major		1.0
%define _gst_ver	1.0.10
%define _gstpb_ver	1.0.10

Summary:	GStreamer Streaming-media framework ugly plugins
Summary(ja):	GStreamer ストリーミングメディアフレームワーク用 ugly プラグイン
Name:		gstreamer1-plugins-ugly
Version:	1.0.10
Release:	1%{?_dist_release}
License:	LGPLv2+
Group:		System Environment/Libraries
URL:		http://gstreamer.freedesktop.org/
Source:		http://gstreamer.freedesktop.org/src/gst-plugins-ugly/gst-plugins-ugly-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Requires:	gstreamer1 >= %{_gst_ver}
Requires:	gstreamer1-plugins-base >= %{_gstpb_ver}
Requires:	glib2
Requires:	libid3tag
# Don't require libmad because they are provided by 
# self-build-libmad packages.
#Requires:	libmad

BuildRequires:	gstreamer1-devel >= %{_gst_ver}
BuildRequires:	gstreamer1-plugins-base-devel >= %{_gstpb_ver}
#BuildRequires:	gtk-doc >= 1.3
BuildRequires:	python >= 2.1, python-pyxml
BuildRequires:	glib2-devel >= 2.6
BuildRequires:  twolame-devel
BuildRequires:	libid3tag-devel >= 0.15
BuildRequires:	liboil-devel >= 0.3.0
BuildRequires:  libcdio-devel >= 0.82
BuildRequires:  libdvdread-devel
BuildRequires:  PyXML

# *-devel packages provided by other self-build-* should only be listed
# in self-build-%{name}.spec as PreReq.
##BuildRequires:	x264-devel
##BuildRequires:	libmpeg2-devel
##BuildRequires:	a52dec-devel
##BuildRequires:	lame-devel
##BuildRequires:	libmad-devel >= 0.15

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains a set of plug-ins that have good quality and
correct functionality, but distributing them might pose problems. The
license on either the plug-ins or the supporting libraries might not
be how the GStreamer authors like. The code might be widely known to
present patent problems.

%description -l ja
GStreamer はメディアデータ操作用の filter graph をベースにしたスト
リーミングメディアフレームワークです。 このライブラリを使用すれば
アプリケーションは、サウンドのリアルタイム処理からビデオ再生まで、
メディアに関係する全ての機能が利用できます。また Gstremer はプラグ
イン方式を採用していることから、新しい種類のデータや機能への対応が、
プラグインを追加することで簡単に実現できます。

このパッケージは品質も機能も問題は無いものの、配布すると問題になる
可能性があるプラグインを含んでいます。プラグインとそのサポート・ライ
ブラリのライセンスも Gstreamer とは異なっています。一般には特許に
関連するコードとして良く知られています。

# %package devel
# Summary:	Documentation files for GStreamer ugly plugins.
# Summary(ja):	GStreamer ugly プラグインのドキュメント
# Group:		Development/Libraries
# Requires:	%{name} = %{version}-%{release}

# %description devel
# GStreamer はメディアデータ操作用の filter graph をベースにしたスト
# リーミングメディアフレームワークです。 このライブラリを使用すれば
# アプリケーションは、サウンドのリアルタイム処理からビデオ再生まで、
# メディアに関係する全ての機能が利用できます。また Gstremer はプラグ
# イン方式を採用していることから、新しい種類のデータや機能への対応が、
# プラグインを追加することで簡単に実現できます。

# このパッケージは GStreamer ugly 用のドキュメントを含んでいます。


%prep
%setup -q -n gst-plugins-ugly-%{version}


%build
%configure \
    --disable-static \
    --disable-amrnb \
    --disable-sidplay \

%__make %{?_smp_mflags}

%install
%__rm -rf %{buildroot}
%makeinstall

# Clean out files that should not be part of the rpm.
%__rm -f %{buildroot}%{_libdir}/gstreamer-%{major}/*.{a,la}
%__rm -f %{buildroot}%{_libdir}/*.{a,la}

%find_lang gst-plugins-ugly-%{major}

%clean
%__rm -rf %{buildroot}


%files -f gst-plugins-ugly-%{major}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README RELEASE REQUIREMENTS
%{_datadir}/gstreamer-%{major}/presets
# ugly plugins without external dependencies
%{_libdir}/gstreamer-%{major}/*.so

# ugly plugins with external dependencies, but in the main package
# %{_libdir}/gstreamer-%{major}/libgstmad.so

# %files devel
# %defattr(-,root,root)
# %{_datadir}/gtk-doc/html/gst-plugins-ugly-plugins-%{major}


%changelog
* Sat Aug 31 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.10-1
- new upstream relase

* Sun Aug 11 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.9-1
- new upstream relase

* Mon Jul 15 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.8-1
- new upstream relase

* Sun Apr 28 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.7-1
- new upstream relase

* Sat Mar 23 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.6-1
- new upstream relase

* Wed Jan 09 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.5-1
- new upstream relase

* Wed Jan 02 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.4-1
- new upstream relase

* Fri Oct 26 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.2-1
- new upstream relase
- rename package 

* Sat Jun 23 2012 Munehiro Yamamoto <munepi@vinelinux.org> 0.10.19-1
- new upstream relase

* Sun Dec 18 2011 Munehiro Yamamoto <munepi@vinelinux.org> 0.10.18-1
- new upstream relase
- built with new x264
- License: LGPLv2+

* Sat Mar 26 2011 Munehiro Yamamoto <munepi@vinelinux.org> 0.10.17-1
- new upstream relase

* Fri Sep 17 2010 Munehiro Yamamoto <munepi@vinelinux.org> 0.10.16-1
- new upstream relase

* Sun Jun 27 2010 Munehiro Yamamoto <munepi@vinelinux.org> 0.10.15-1
- new upstream relase

* Sat Mar 20 2010 Munehiro Yamamoto <munepi@vinelinux.org> 0.10.14-1
- new upstream relase

* Wed Feb 17 2010 Munehiro Yamamoto <munepi@vinelinux.org> 0.10.13-1
- new upstream relase

* Sat Oct 24 2009 Munehiro Yamamoto <munepi@vinelinux.org> 0.10.12-1
- new upstream relase
- enable mpeg2dec with libmpeg2-devel in %%configure

* Tue May 26 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.10.11-3
- change release to sync with self-build-gstreamer-plugins-ugly

* Wed May 13 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.10.11-2
- dropped BuildRequires: gtk-doc >= 1.3
  - disable-gtk-doc in configure options
  - added Obsoletes: gstreamer-plugins-ugly-devel <= 0.10.11-1vl5

* Sun Mar 29 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.10.11-1
- new upstream relase

* Mon Feb 09 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.10.10-2
- changed to PreReq:  self-build-libmad >= 0.15 from libmad-devel

* Sat Jan 10 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.10.10-1
- new upstream relase

* Sun Aug 17 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.10,8-1
- upstream release
- delete --disable-a52dec configure option
- delete %%with_lame macro
- added japanase summary and description

* Sun Dec 17 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.10.5-0vl1
- upstream release
- update %%_gst_ver

* Sun Nov 12 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.10.4-0vl3
- add NoSource: 0

* Sat Nov 11 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.10.4-0vl2
- add %%with_lame macro
  - enable lame support if rpmbuild with '--with lame'

* Wed Aug 16 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.10.4-0vl1
- upstream release

* Mon Apr 03 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.10.3-0vl1
- upstream release
- add libgstdvdsub.so

* Fri Feb 24 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.10.2-0vl1
- upstream release
- update %%_gst_ver, %%_gstpb_ver (0.10.1->0.10.3)
- add libgstasf.so

* Fri Feb 10 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.10.1-0vl2
- fix typo

* Mon Jan 23 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.10.1-0vl1
- initial package based on gstreamer-plugins
- new upstream release
  - change major to 0.10
- update dependencies
- update %%configure options

* Mon Dec 12 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.8.11-0vl3
- remove duplicated libgst{idct,qtdemux,xwindowlistener}.so

* Thu Oct 13 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.8.11-0vl2
- added missing alsa plugin

* Thu Sep 22 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.8.11-0vl1
- new upstream release
- added alsa and cairo plugins

* Sun Jul 10 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.8.10-0vl1
- new upstream release

* Mon Jun  6 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.8.9-0vl1
- new upstream release

* Wed May 11 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.8.8-0vl5
- added Conflicts: gstreamer-plugins-extra-audio < 0.8.8-0vl2

* Sun May  8 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.8.8-0vl4
- added libgstcdparania.so for gnome-cd (gnome-media)
- BuildRequires: cdparanoia-devel

* Wed Mar 30 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.8.8-0vl3
- drop BuildRequires: xmms-devel, Requires: xmms

* Tue Mar 29 2005 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.8.8-0vl2
- libgstvideo4linux2.so temoporally omitted for ppc
  (will be back later, I hope)

* Sun Mar 13 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.8.8-0vl1
- new upstream release
- s/Copyright/License/
- includes plugins depend on main package libraries only

* Wed Nov 10 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.8.5-0vl1
- new upstream release

* Tue Dec 09 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.6.4-0vl1
- new upstream release

* Tue Jun 10 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6.2-0vl1
- new upstream release

* Sat Feb 22 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6.0-0vl1
- new upstream release

* Sat Feb 01 2003 Tomoya TAKA <taka@vinelinux.org> 0.5.2-0vl3
- build with -fPIC on alpha

* Fri Jan 24 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.2-0vl2
- modified scripts

* Fri Jan 24 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.2-0vl1
- new upstream release

* Sun Jan 19 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.1-0vl2
- disable some plugins.

* Sun Jan 19 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.1-0vl1
- new upstream release
- initial build for Vine Linux

* Thu Dec 19 2002 Elliot Lee <sopwith@redhat.com> 0.5.0-15
- Include ia64
- Add BuildRequires: autoconf automake

* Wed Dec 18 2002 Jonathan Blandford <jrb@redhat.com>
- rebuild

* Tue Dec 17 2002 Jonathan Blandford <jrb@redhat.com> 0.5.0-12
- rebuild

* Mon Dec 16 2002 Jonathan Blandford <jrb@redhat.com> 0.5.0-10
- rebuild
- disable tests

* Mon Dec 16 2002 Tim Powers <timp@redhat.com> 0.5.0-9
- rebuild

* Wed Dec 11 2002 Jonathan Blandford <jrb@redhat.com> 0.5.0-7
- fix libdir for ia64.

* Wed Dec 11 2002 Jonathan Blandford <jrb@redhat.com> 0.5.0-3
- ExcludeArch: ia64.   Random assembler errors that I have no hope of fixing
- Add devel package

* Wed Dec 11 2002 Jonathan Blandford <jrb@redhat.com> 0.5.0-1
- 0.5.0
- apparently, festival-devel isn't needed.

* Tue Dec 10 2002 Tim Powers <timp@redhat.com> 0.4.2-3
- rebuild to fix broken dep on libgstreamer-0.4.2.so.0

* Tue Dec  3 2002 Havoc Pennington <hp@redhat.com>
- excludearch the arches that can't build gstreamer cothreads
- well it isn't really SMP-safe
- add patch for including pthread.h when required
- prereq gconftool
- fix typo that broke schema installation in post

* Mon Dec  2 2002 Havoc Pennington <hp@redhat.com>
- initial "official" import
- munge tarball for legal cleanliness

* Thu Nov  7 2002 Jeremy Katz <katzj@redhat.com>
- 0.4.2

* Mon Sep 23 2002 Jeremy Katz <katzj@redhat.com>
- 0.4.1
- install the gconf schema
- use %%configure

* Sun Sep 22 2002 Jeremy Katz <katzj@redhat.com>
- update to 0.4.0
- give explicit vorbis include path, don't run vorbis test

* Sun Aug 11 2002 Jeremy Katz <katzj@redhat.com>
- collapse into one package to preserve some sanity

* Wed Mar 13 2002 Thomas Vander Stichele <thomas@apestaart.org>
- added more BuildRequires and Requires
- rearranged some plugins
- added changelog ;)
