%define desktop_vendor vine
%define nvidialibdir   %{_libdir}/nvidia
%define nvidialib32dir %{_prefix}/lib/nvidia

%define debug_package  %{nil}

Summary: Proprietary NVIDIA hardware accelerated display driver
Summary(ja): プロプライエタリな NVIDIA ハードウエアアクセラレーションディスプレイドライバ
Name: xorg-x11-drv-nvidia
Version: 319.49
Release: 1%{?_dist_release}
License: Redistributable, no modification permitted
Group: User Interface/X Hardware Support
URL: http://www.nvidia.com/object/unix.html

# i386
Source0: ftp://download.nvidia.com/XFree86/Linux-x86/%{version}/NVIDIA-Linux-x86-%{version}.run
# x86_64
Source1: ftp://download.nvidia.com/XFree86/Linux-x86_64/%{version}/NVIDIA-Linux-x86_64-%{version}.run
Source2: nvidia.sh
Source3: nvidia.csh
Source4: nvidia-config-display
Source5: nvidia.modprobe
Source6: nvidia.nodes
Source7: blacklist-nouveau.conf
Source8: 50-nvidia.rules

# fix to build for kernel > 3.7.5
Patch0: nvidia-310.32-support-newer-kernel.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
# Required for proper dkms operation
Requires: gcc, make
Requires(post): dkms, /sbin/ldconfig
Requires(preun): dkms
# Required by the nvidia-config-display utility/script
Requires: pyxf86config
Requires: libvdpau >= 0.4

# Required by the NVIDIA run file
Buildrequires: tar
# Required for our build
BuildRequires: desktop-file-utils
ExclusiveArch: i686 x86_64

Provides: dkms-nvidia = %{version}-%{release}
Provides: nvidia-x11-drv = %{version}-%{release}
Obsoletes: nvidia-x11-drv <= 180.51-2vl5

Requires(post): system-config-display

%ifarch x86_64
%define mark64  ()(64bit)
%endif
Provides: libnvcuvid.so%{?mark64}

Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke

%description
This package containts proprietary NVIDIA graphics driver for hardware
accelerated OpenGL support.
- OpenGL libraries
- Xorg driver module
- Drm kernel module

INSTALLING THIS PACKAGE WILL TAINT YOUR KERNEL, SO PLEASE DO NOT REPORT *ANY*
BUGS BEFORE YOU UNINSTALL THE PACKAGE AND REBOOT THE SYSTEM.

%description -l ja
このパッケージには、NVIDIA 製のグラフィックスカードで2D/3Dのハードウエアアクセ
ラレーションを得るためのプロプライエタリなグラフィックスドライバが収録されてい
ます。このドライバには以下のモジュールが含まれています。
 - OpenGLライブラリ
 - Xorg ドライバモジュール
 - DRM カーネルモジュール

注意: このパッケージをインストールすると利用しているカーネルを汚染します。
      Kernelに関するどんなバグレポートを行う場合は、必ずこのパッケージを
      アンインストールしシステムをリブートしてから行って下さい。

%package 32bit
Summary: Compatibility 32bit files for the 64bit Proprietary NVIDIA driver
Summary(ja): 64bit プロプライエタリ NVIDIA ドライバ用の 32bit 互換ファイル
Group: User Interface/X Hardware Support
Requires: %{name} = %{version}-%{release}
Obsoletes: nvidia-x11-drv-32bit <= 180.51-2vl5
Provides: libnvcuvid.so

%description 32bit
Compatibility 32bit files for the 64bit Proprietary NVIDIA driver.

%description -l ja 32bit
64bit プロプライエタリ NVIDIA ドライバ用の 32bit 互換ファイル

%prep
%setup -q -T -c
# Extract the proper "sources" for the current architecture
# We need to extract to a "not yet existing" directory first, so no "."
%ifarch i686
sh %{SOURCE0} --extract-only --target tmp/
%endif
%ifarch x86_64
sh %{SOURCE1} --extract-only --target tmp/
%endif
# Move all the files back from tmp/ to the main directory
%{__mv} tmp/* .
%{__rm} -rf tmp/

%patch0 -p0


%build


%install
%{__rm} -rf %{buildroot}

%define dkms_name nvidia
%define dkms_vers %{version}-%{release}
%define quiet -q

# Copy dkms conf file
%{__mkdir_p} %{buildroot}%{_usrsrc}/%{dkms_name}-%{dkms_vers}/
%{__cat} > %{buildroot}%{_usrsrc}/%{dkms_name}-%{dkms_vers}/dkms.conf << 'EOF'
PACKAGE_NAME=%{dkms_name}
PACKAGE_VERSION=%{dkms_vers}
MAKE[0]="make module KERNDIR=/lib/modules/$kernelver IGNORE_CC_MISMATCH=1 SYSSRC=$kernel_source_dir"
BUILT_MODULE_NAME[0]=nvidia
DEST_MODULE_LOCATION[0]=/kernel/drivers/video/nvidia
AUTOINSTALL=YES
EOF

# Install all the files, even the binary ones. Ick.
%{__install} -p -m 0644 kernel/{*.c,*.h,*.o,makefile,Makefile.kbuild} \
    %{buildroot}%{_usrsrc}/%{dkms_name}-%{dkms_vers}/
%{__install} -p -m 0755 kernel/*.sh \
    %{buildroot}%{_usrsrc}/%{dkms_name}-%{dkms_vers}/

# Install X driver and extension
%{__mkdir_p} %{buildroot}%{_libdir}/xorg/modules/drivers/
%{__install} -p -m 0755 nvidia_drv.so \
    %{buildroot}%{_libdir}/xorg/modules/drivers/
%{__mkdir_p} %{buildroot}%{_libdir}/xorg/modules/extensions/nvidia/
%{__install} -p -m 0755 libglx.so.%{version} \
    %{buildroot}%{_libdir}/xorg/modules/extensions/nvidia/libglx.so
#{__install} -p -m 0755 libnvidia-wfb.so.%{version} \
#   %{buildroot}%{_libdir}/xorg/modules/libwfb.so

# Install GL and tls libs
%{__mkdir_p} %{buildroot}%{nvidialibdir}/tls/
for l in libGL libOpenCL libcuda libnvcuvid \
         libnvidia-cfg libnvidia-compiler libnvidia-encode \
	 libnvidia-glcore libnvidia-ml libnvidia-opencl \
	 libnvidia-tls libnvidia-wfb libvdpau
do
  %{__install} -p -m 0755 $l.so.* %{buildroot}%{nvidialibdir}/
done
%{__install} -p -m 0755 tls/*.so.%{version} \
    %{buildroot}%{nvidialibdir}/tls/

# Install vdpau_nvidia
%{__mkdir_p} %{buildroot}%{_libdir}/vdpau/
%{__install} -p -m 0755 libvdpau_*.so.* \
    %{buildroot}%{_libdir}/vdpau
%{__ln_s} -f libvdpau_nvidia.so.%{version} \
    %{buildroot}%{_libdir}/vdpau/libvdpau_nvidia.so.1
%{__ln_s} -f libvdpau_nvidia.so.%{version} \
    %{buildroot}%{_libdir}/vdpau/libvdpau_nvidia.so
# compat links
%{__ln_s} -f %{_libdir}/vdpau/libvdpau_nvidia.so.%{version} \
    %{buildroot}%{_libdir}/nvidia/libvdpau_nvidia.so.%{version}
%{__ln_s} -f %{_libdir}/vdpau/libvdpau_nvidia.so.1 \
    %{buildroot}%{_libdir}/nvidia/libvdpau_nvidia.so.1
%{__ln_s} -f %{_libdir}/vdpau/libvdpau_nvidia.so \
    %{buildroot}%{_libdir}/nvidia/libvdpau_nvidia.so


%ifarch x86_64
# Install 32bit compat GL, vdpau and tls libs
%{__mkdir_p} %{buildroot}%{nvidialib32dir}/tls/
for l in libGL libOpenCL libcuda libnvcuvid \
         libnvidia-compiler libnvidia-encode \
	 libnvidia-glcore libnvidia-ml libnvidia-opencl \
	 libnvidia-tls libvdpau
do
  %{__install} -p -m 0755 32/$l.so.* %{buildroot}%{nvidialib32dir}/
done
%{__install} -p -m 0755 32/tls/*.so.%{version} \
    %{buildroot}%{nvidialib32dir}/tls/
%{__mkdir_p} %{buildroot}%{_prefix}/lib/vdpau/
%{__install} -p -m 0755 32/libvdpau_*.so.* \
    %{buildroot}%{_prefix}/lib/vdpau/
%{__ln_s} -f libvdpau_nvidia.so.%{version} \
    %{buildroot}%{_prefix}/lib/vdpau/libvdpau_nvidia.so.1
%{__ln_s} -f libvdpau_nvidia.so.%{version} \
    %{buildroot}%{_prefix}/lib/vdpau/libvdpau_nvidia.so
%endif

# Create .so symlinks
for libname in libGL libcuda libnvcuvid \
         libnvidia-cfg libnvidia-compiler libnvidia-encode \
	 libnvidia-glcore libnvidia-ml libnvidia-opencl \
	 libnvidia-tls libnvidia-wfb libvdpau tls/libnvidia-tls
do
    %{__ln_s} `basename ${libname}`.so.%{version} \
        %{buildroot}%{nvidialibdir}/${libname}.so.1
    %{__ln_s} `basename ${libname}`.so.%{version} \
        %{buildroot}%{nvidialibdir}/${libname}.so
done
# OpenCL
%{__ln_s} libOpenCL.so.1.0.0 %{buildroot}%{nvidialibdir}/libOpenCL.so.1
%{__ln_s} libOpenCL.so.1.0.0 %{buildroot}%{nvidialibdir}/libOpenCL.so

%ifarch x86_64
for libname in libGL libcuda libnvcuvid \
         libnvidia-compiler libnvidia-encode \
	 libnvidia-glcore libnvidia-ml libnvidia-opencl \
	 libnvidia-tls libvdpau tls/libnvidia-tls
do
    %{__ln_s} `basename ${libname}`.so.%{version} \
        %{buildroot}%{nvidialib32dir}/${libname}.so.1
    %{__ln_s} `basename ${libname}`.so.%{version} \
        %{buildroot}%{nvidialib32dir}/${libname}.so
done
# OpenCL
%{__ln_s} libOpenCL.so.1.0.0 %{buildroot}%{nvidialib32dir}/libOpenCL.so.1
%{__ln_s} libOpenCL.so.1.0.0 %{buildroot}%{nvidialib32dir}/libOpenCL.so
%endif

# Install useful nvidia tools
%{__mkdir_p} %{buildroot}%{_bindir}/
%{__install} -p -m 0755 nvidia-{bug-report.sh,debugdump,settings,smi} \
    %{buildroot}%{_bindir}/
%{__install} -p -m 0755 nvidia-cuda-{mps-control,mps-server} \
    %{buildroot}%{_bindir}/
%{__mkdir_p} %{buildroot}%{_sbindir}/
%{__install} -p -m 0755 nvidia-xconfig \
    %{buildroot}%{_sbindir}/

# Install nvidia-persistenced
%{__install} -p -m 0755 nvidia-persistenced \
    %{buildroot}%{_bindir}/
tar xzvf nvidia-persistenced-init.tar.bz2
%{__mkdir_p} %{buildroot}%{_sysconfdir}/init
sed -e 's/__USER__/nvidia-persistenced/g' \
    nvidia-persistenced-init/upstart/nvidia-persistenced.conf.template \
    > %{buildroot}%{_sysconfdir}/init/nvidia-persistenced.conf
%{__mkdir_p} %{buildroot}/var/run/nvidia-persistenced

# Install man pages (the other, nvidia-installer, isn't relevant)
%{__mkdir_p} %{buildroot}%{_mandir}/man1/
%{__install} -p -m 0644 nvidia-{cuda-mps-control,settings,xconfig,smi}.1* \
    %{buildroot}%{_mandir}/man1/
%{__install} -p -m 0644 nvidia-persistenced.1* \
    %{buildroot}%{_mandir}/man1/

# Install pixmap for the desktop entry
%{__mkdir_p} %{buildroot}%{_datadir}/pixmaps/
%{__install} -p -m 0644 nvidia-settings.png \
    %{buildroot}%{_datadir}/pixmaps/

# Remove "__UTILS_PATH__/" before the Exec command name
# Replace "__PIXMAP_PATH__/" with the proper pixmaps path
%{__perl} -pi -e 's|(Exec=).*/(.*)|$1$2|g;
                  s|(Icon=).*/(.*)|$1%{_datadir}/pixmaps/$2|g' \
    nvidia-settings.desktop

# Desktop entry for nvidia-settings
%{__mkdir_p} %{buildroot}%{_datadir}/applications/
desktop-file-install --vendor %{desktop_vendor} \
    --dir %{buildroot}/%{_datadir}/applications/ \
    --add-category System \
    --add-category Application \
    --add-category GNOME \
    nvidia-settings.desktop

# Install modprobe.d file
%{__install} -D -p -m 0644 %{SOURCE5} \
    %{buildroot}%{_sysconfdir}/modprobe.d/nvidia.conf

# Install blacklist-nouveau.conf
%{__install} -D -p -m 0644 %{SOURCE7} \
    %{buildroot}%{_sysconfdir}/modprobe.d/blacklist-nouveau.conf

# Install ld.so.conf.d file
%{__mkdir_p} %{buildroot}%{_sysconfdir}/ld.so.conf.d/
echo %{nvidialibdir} >    %{buildroot}%{_sysconfdir}/ld.so.conf.d/nvidia.conf
%ifarch x86_64
echo %{nvidialib32dir} >> %{buildroot}%{_sysconfdir}/ld.so.conf.d/nvidia.conf
%endif

# Install profile.d files
%{__install} -D -p -m 0644 %{SOURCE2} \
    %{buildroot}%{_sysconfdir}/profile.d/nvidia.sh
%{__install} -D -p -m 0644 %{SOURCE3} \
    %{buildroot}%{_sysconfdir}/profile.d/nvidia.csh

# Install X configuration script
%{__install} -D -p -m 0755 %{SOURCE4} \
    %{buildroot}%{_sbindir}/nvidia-config-display

# Install udev "configuration" file
%{__install} -D -p -m 0644 %{SOURCE6} \
    %{buildroot}%{_sysconfdir}/udev/makedev.d/60-nvidia.nodes

# Install udev rules
%{__install} -D -p -m 0644 %{SOURCE8} \
    %{buildroot}%{_sysconfdir}/udev/rules.d/50-nvidia.rules


%clean
%{__rm} -rf %{buildroot}


%pre
# create nvidia-persistenced user
/usr/sbin/useradd -c "nvidia-persistenced" \
		  -s /sbin/nologin -r -M \
                  -d /var/run/nvidia-persistenced \
		  nvidia-persistenced 2> /dev/null || :

%post
/sbin/ldconfig
# Make sure we have a Files section in xorg.conf, otherwise create an empty one
XORGCONF=/etc/X11/xorg.conf
if [ ! -f ${XORGCONF} ]; then
  /usr/bin/system-config-display --reconfig --noui --set-driver=nvidia ||:
fi
for conf in ${XORGCONF} ${XORGCONF}.dist ;do
  if [ -f $conf ]; then
    if [ -w $conf ]; then
      if (! grep -q 'Section "Files"' $conf); then
        echo -e 'Section "Files"\nEndSection' >> $conf
      fi
      # Enable the proprietary driver
      if (egrep -q "\"(nv|nvidia)\"" $conf); then
        %{_sbindir}/nvidia-config-display enable || :
      fi
      break
    fi
  fi
done
# add nokmsboot to boot cmdline
GRUBCFG=/boot/grub/menu.lst
if [ -f $GRUBCFG ]; then
  if (! grep -q "kernel.*nokmsboot" $GRUBCFG); then
    cp $GRUBCFG $GRUBCFG.rpmsave
    sed -i -e "s|^\([[:space:]]kernel .*\)|\1 nokmsboot|g" $GRUBCFG
  fi
fi
# Add to DKMS registry
dkms add -m %{dkms_name} -v %{dkms_vers} %{?quiet} || :
# Rebuild and make available for the currenty running kernel
dkms build -m %{dkms_name} -v %{dkms_vers} %{?quiet} || :
dkms install -m %{dkms_name} -v %{dkms_vers} %{?quiet} --force || :

%preun
# Remove all versions from DKMS registry
dkms remove -m %{dkms_name} -v %{dkms_vers} %{?quiet} --all || :
# Last removal, disable the proprietary driver
if [ $1 -eq 0 ]; then
  %{_sbindir}/nvidia-config-display disable || :
  # remove nokmsboot to boot cmdline
  GRUBCFG=/boot/grub/menu.lst
  if [ -f $GRUBCFG ]; then
    if (grep -q "kernel.*nokmsboot" $GRUBCFG); then
      cp $GRUBCFG $GRUBCFG.rpmsave
      sed -i -e "s|^\([[:space:]]kernel .*\)nokmsboot|\1|g" $GRUBCFG
    fi
  fi
fi

%postun -p /sbin/ldconfig

%triggerin -- xorg-x11-server-Xorg
# Enable the proprietary driver
# Required since xorg-x11-server-Xorg empties the "Files" section
if (! grep -q 'Section "Files"' /etc/X11/xorg.conf); then
  echo -e 'Section "Files"\nEndSection' >> /etc/X11/xorg.conf
fi
%{_sbindir}/nvidia-config-display enable || :


%files
%defattr(-,root,root,-)
%doc LICENSE NVIDIA_Changelog README.txt html/
# Kernel and dkms related bits
%config %{_sysconfdir}/modprobe.d/nvidia.conf
%config %{_sysconfdir}/modprobe.d/blacklist-nouveau.conf
%{_usrsrc}/%{dkms_name}-%{dkms_vers}/
# udev "configuration"
%config %{_sysconfdir}/udev/makedev.d/60-nvidia.nodes
# udev rules
%config %{_sysconfdir}/udev/rules.d/50-nvidia.rules
# Libraries and X modules
%config %{_sysconfdir}/ld.so.conf.d/nvidia.conf
%dir %{nvidialibdir}/
%{nvidialibdir}/*.so.*
%{nvidialibdir}/tls/
%{_libdir}/xorg/modules/drivers/nvidia_drv.so
%dir %{_libdir}/xorg/modules/extensions/nvidia/
%{_libdir}/xorg/modules/extensions/nvidia/libglx.so
#{_libdir}/xorg/modules/libwfb.so
# Tools and utilities
%{_sysconfdir}/profile.d/*
%{_bindir}/*
%{_sbindir}/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_mandir}/man1/*
# Not needed devel but would violate the license not to include them
#files devel
#defattr(-,root,root,-)
%{nvidialibdir}/*.so
#%dir %{_includedir}/cuda/
#%{_includedir}/cuda/*
#%dir %{_includedir}/CL/
#%{_includedir}/CL/*
%{_libdir}/vdpau/*
%{_sysconfdir}/init/nvidia-persistenced.conf
%dir /var/run/nvidia-persistenced

%ifarch x86_64
%files 32bit
%defattr(-,root,root,-)
%dir %{nvidialib32dir}/
%{nvidialib32dir}/*.so.*
%{nvidialib32dir}/tls/
%{_prefix}/lib/vdpau/*
# Not needed devel but would violate the license not to include them
#files 32bit-devel
#defattr(-,root,root,-)
%{nvidialib32dir}/*.so
%endif


%changelog
* Sun Sep 22 2013 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 319.49-1
- updated to 319.49

* Sun May 26 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 319.23-2
- add vdpau driver symlink to _libdir/nvidia

* Sat May 25 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 319.23-1
- update to 319.23

* Mon May 13 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 319.17-1
- update to 319.17
- "nvidia-config-display disable" use nouveau driver if available

* Fri Feb 15 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 310.32-2
- add patch0 to build for kernel > 3.7.5

* Wed Feb 13 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 310.32-1
- update to 310.32

* Wed Nov 21 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 310.19-1
- update to 310.19

* Thu Nov 08 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 304.64-1
- update to 304.64

* Sun Nov 04 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 304.60-1
- update to 304.60

* Thu Oct 11 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 304.51-1
- update to 304.51
- add nokmsboot to boot cmdline (grub's menu.lst)

* Sat Sep 15 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 304.43-1
- update to 304.43

* Wed Jul 04 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 295.59-2
- set module option NVreg_ModifyDeviceFiles to 1

* Thu Jun 21 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 295.59-1
- update to 295.59

* Wed May 30 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 295.53-1
- updated to 295.53

* Fri May 04 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 295.49-1
- update to 295.49

* Fri Mar 23 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 295.22-1
- update to 295.33

* Wed Feb 29 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 295.20-1
- update to 295.20

* Thu Nov 24 2011 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 290.10-1
- updated to 290.10

* Mon Oct 24 2011 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 285.05.09-1
- updated to 285.05.09

* Sun Aug  7 2011 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 280.13-1
- updated to 280.13

* Sat Jul 23 2011 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 275.21-1
- updated to 275.21

* Thu Jul 07 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 275.09.07-2
- update nvidia-config-display and %%post to use xorg.conf.dist
  if xorg.conf is not exist

* Thu Jun 16 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 275.09.07-1
- update to 275.09.07

* Sun Jun 12 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 270.41.19-1
- update to 270.41.19

* Sun Mar 06 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 270.30-1
- new upstream release

* Mon Jan 24 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 260.19.36-1
- update to 260.19.36

* Sat Jan 08 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 260.19.29-1
- update to 260.19.29

* Tue Oct 12 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 256.53-1
- update to 256.53

* Thu Aug 19 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 256.44-1
- update to 256.44
- add OpenCL libs and headers

* Wed Apr 28 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 195.36.24-1
- update to 195.36.24

* Mon Mar 29 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 195.36.15-1
- update to 195.36.15 to support xserver-1.8

* Thu Mar 04 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 195.36.08-1
- update to 195.36.08
- add blacklist-nouveau.conf to avoid loading nouveau drm driver.
- add udev rules to set permission of nvidia/nvidiactl device nodes
  - VDPAU needs to access nvidia/nvidiactl device

* Mon Feb 08 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 195.30-2
- use libvdpau external library
  - add R: libvdpau >= 0.4
  - remove vdpau headers and libraries

* Tue Jan 26 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 195.30-1
- update to new beta driver

* Thu Nov 05 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 190.42-1
- new upstream release

* Mon Sep 21 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 190.32-1
- update to new beta driver to work with 2.6.31+ kernel

* Tue Aug 25 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 185.18.36-1
- new upstream release

* Fri Aug 14 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 185.18.31-1
- new upstream release

* Wed Aug 05 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 185.18.29-2
- add translated descriptions

* Wed Jul 29 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 185.18.29-1
- update to 185.18.29

* Tue Jun 09 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 185.18.14-1
- update to 185.18.14

* Mon Jun 01 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 180.60-1
- update to 180.60

* Wed May 06 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 180.51-4
- add cuda and vdpau development files

* Wed May 06 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 180.51-3
- rename to xorg-x11-drv-nvidia
  - Obsoletes: nvidia-x11-drv <= 180.51-2vl5
  - Provides: nvidia-x11-drv = %{name}-%{version}

* Tue May 05 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 180.51-2
- rename modprobe.d/nvidia to modprobe.d/nvidia.conf

* Mon May 04 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 180.51-1
- initial build for Vine Linux
- update to 180.51

* Fri Oct 10 2008 Matthias Saou <http://freshrpms.net/> 177.80-1
- Update to 177.80.

* Thu Aug 21 2008 Matthias Saou <http://freshrpms.net/> 173.14.12-2
- Update to 173.14.12.

* Wed Jun 18 2008 Matthias Saou <http://freshrpms.net/> 173.14.09-2
- Update to 173.14.09.

* Wed May 28 2008 Matthias Saou <http://freshrpms.net/> 173.14.05-1
- Update to 173.14.05, which should finally work with Fedora 9's xorg 1.5.

* Thu May 15 2008 Matthias Saou <http://freshrpms.net/> 173.08-2
- No longer install libwfb.so, since Fedora 9 provides it now.

* Wed May 14 2008 Matthias Saou <http://freshrpms.net/> 173.08-1
- Update to 173.08 beta, which includes support for Fedora 9's X snapshot.

* Tue Mar  4 2008 Matthias Saou <http://freshrpms.net/> 169.12-1
- Update to 169.12.

* Mon Feb 18 2008 Matthias Saou <http://freshrpms.net/> 169.09-1
- Update to 169.09.

* Sat Feb  9 2008 Matthias Saou <http://freshrpms.net/> 169.07-1
- Update to 169.07.

* Wed Sep 19 2007 Matthias Saou <http://freshrpms.net/> 100.14.19-1
- Update to 100.14.19.

* Sat Jul 14 2007 Matthias Saou <http://freshrpms.net/> 100.14.11-1
- Update to 100.14.11.
- Split out 32bit "compat" files to a sub-package on x86_64.
- Remove Xen patches, as parts seem to be merged (but enough?).

* Wed Jun 13 2007 Matthias Saou <http://freshrpms.net/> 100.14.09-1
- Update to new 100.14.09 stable release... weird version jump, though.
- Add triggerin to re-enable driver after xorg-x11-server-Xorg update.

* Tue Jun  5 2007 Matthias Saou <http://freshrpms.net/> 1.0.9762-3
- Remove included udev nodes, since they're redundant with the previous change.

* Tue Jun  5 2007 Matthias Saou <http://freshrpms.net/> 1.0.9762-2
- Add 60-nvidia.nodes udev file to have device nodes copied in F7 and get
  things right with selinux.

* Fri May 18 2007 Matthias Saou <http://freshrpms.net/> 1.0.9762-1
- Update to 1.0-9762.

* Fri May 18 2007 Matthias Saou <http://freshrpms.net/> 1.0.9755-3
- Include missing libwfb.so (Simone Caronni).

* Thu Mar 15 2007 Matthias Saou <http://freshrpms.net/> 1.0.9755-2
- Disable Xen sanity check since it fails, but the module actually works.

* Mon Mar 12 2007 Matthias Saou <http://freshrpms.net/> 1.0.9755-1
- Update to 1.0-9755 (stable).
- Change profile.d sourced files from mode 755 to 644, as they should be.

* Fri Dec 22 2006 Matthias Saou <http://freshrpms.net/> 1.0.9746-1
- Update to 1.0-9746 (stable).

* Mon Dec 11 2006 Matthias Saou <http://freshrpms.net/> 1.0.9631-1
- Update to 1.0-9631 (stable).

* Thu Nov 30 2006 Matthias Saou <http://freshrpms.net/> 1.0.9742-1.beta
- Update to the latest 1.0-9742 beta driver.

* Thu Nov 30 2006 Matthias Saou <http://freshrpms.net/> 1.0.9629-3
- Use the pkg0 file for i386 since it's the same as the pkg1 but without all
  of the precompiled kernel modules we don't use anyway. We save 6MB+ of SRPM.
- For x86_64 there are no precompiled modules (ATM) so pkg0 and pkg1 are the
  same, but pkg2 has the lib32 files in addition, so it makes sense to use
  pkg2 there.

* Thu Nov 16 2006 Matthias Saou <http://freshrpms.net/> 1.0.9629-2
- Include Xen patch and spec fixes from Juliano F. Ravasi.

* Wed Nov  8 2006 Matthias Saou <http://freshrpms.net/> 1.0.9629-1
- Update to 1.0-9629.

* Tue Oct 31 2006 Matthias Saou <http://freshrpms.net/> 1.0.9626-4
- Include patch to fix black X screen on startup (disables i2c, though).

* Mon Oct 30 2006 Matthias Saou <http://freshrpms.net/> 1.0.9626-3
- 32bit libs weren't being included on x86_64, the 64bits were twice instead.

* Tue Oct 24 2006 Matthias Saou <http://freshrpms.net/> 1.0.9626-2
- Include nvidia-xconfig, Edward Rudd.
- Move extracting the installer to the %%prep stage, Edward Rudd.
- No longer do everything from the pkg/ directory.

* Mon Oct 16 2006 Matthias Saou <http://freshrpms.net/> 1.0.9626-1
- Update to 1.0-9626.

* Wed Oct 11 2006 Matthias Saou <http://freshrpms.net/> 1.0.9625-2
- Fix desktop entry.
- Remove static dev entries, let udev take care of copying them to /dev.
- Small fix to the driver file mode and remove the created empty directory.
- Add %%{nvidialib32dir} to the ld.so.conf.d file on x86_64.
- Make sure we have a Files section in xorg.conf, otherwise create an empty
  one for the nvidia-config-display utility/script to work properly.
- Run the nvidia-config-display utility/script in %%post.

* Tue Oct 10 2006 Matthias Saou <http://freshrpms.net/> 1.0.9625-1
- Update to the 1.0-9625 beta drivers.

* Tue Oct 10 2006 Matthias Saou <http://freshrpms.net/> 1.0.8774-3
- Add the rpm release to the dkms module version, to make updating the module
  to a fixed same version work (--rpm_safe_upgrade doesn't work as advertised).
- Force modules install so that the same version can be overwritten instead of
  uninstalled by the old package's %%preun when updating.
- Add build time quiet flag for the scriplets. Undefine to do verbose testing.

* Mon Oct  9 2006 Matthias Saou <http://freshrpms.net/> 1.0.8774-2.1
- Add dkms-nvidia provides.
- Use %%{dkms_name} macro for the usr/src directory name.

* Sat Oct  7 2006 Matthias Saou <http://freshrpms.net/> 1.0.8774-2
- Include both x86 and x86_64 pkg.run files in the source rpm, so that the
  same can be used for both i386 and x86_64.

* Wed Oct  4 2006 Matthias Saou <http://freshrpms.net/> 1.0.8774-1
- Add x86_64 support.
- Rework into a single nvidia-x11-drv package.

* Mon Oct 02 2006 Richard Hughes <richard@hughsie.com> 8774-4
- 1st Release, First public build

