Name: okteta
Summary: Binary editor for KDE
Summary(ja): KDE 用バイナリエディタ
Version: 4.11.1
Release: 1%{?_dist_release}

License: GPLv2
Group: Applications/Development
URL: http://www.kde.org/

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: desktop-file-utils

BuildRequires: kdelibs-devel >= %{version}
BuildRequires: qca2-devel
BuildRequires: soprano-devel

Requires(posttrans,postun): desktop-file-utils, shared-mime-info

Requires: %{name}-libs = %{version}-%{release}

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi


%description
Okteta is a simple editor for the raw data of files.
This type of program is also called hex editor or binary editor.


%package libs
Summary: Runtime libraries for %{name}
Group:   System Environment/Libraries

%description libs
%{summary}.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name}-libs = %{version}-%{release}
Requires: kdelibs-devel

%description devel
Development files for %{name}.


%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIB_INSTALL_DIR:PATH=%{_libdir} \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf $RPM_BUILD_ROOT
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:
update-mime-database %{_datadir}/mime &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:
  update-desktop-database -q &> /dev/null ||:
  update-mime-database %{_datadir}/mime &> /dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc COPYING COPYING.DOC COPYING.LIB ChangeLog README
%{_bindir}/%{name}
%{_bindir}/struct2osd.sh
%{_libdir}/kde4/libkbytearrayedit.so
%{_libdir}/kde4/oktetapart.so
%{_libdir}/kde4/plugins/designer/oktetadesignerplugin.so
%{_datadir}/applications/kde4/%{name}.desktop
%{_datadir}/config/okteta-structures.knsrc
%{_datadir}/config.kcfg/structviewpreferences.kcfg
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/kde4/apps/okteta/
%{_datadir}/kde4/apps/oktetapart/
%{_datadir}/kde4/services/kbytearrayedit.desktop
%{_datadir}/kde4/services/oktetapart.desktop
%{_datadir}/mime/packages/okteta.xml
%{_docdir}/HTML/en/%{name}

%files libs
%defattr(-,root,root,-)
%{_libdir}/libkasten2controllers.so.*
%{_libdir}/libkasten2core.so.*
%{_libdir}/libkasten2gui.so.*
%{_libdir}/libkasten2okteta1controllers.so.*
%{_libdir}/libkasten2okteta1core.so.*
%{_libdir}/libkasten2okteta1gui.so.*
%{_libdir}/libokteta1core.so.*
%{_libdir}/libokteta1gui.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/kde4/KDE/Kasten2
%{_includedir}/kde4/KDE/Okteta1
%{_includedir}/kde4/kasten2/
%{_includedir}/kde4/okteta1/
%{_libdir}/libkasten2controllers.so
%{_libdir}/libkasten2core.so
%{_libdir}/libkasten2gui.so
%{_libdir}/libkasten2okteta1controllers.so
%{_libdir}/libkasten2okteta1core.so
%{_libdir}/libkasten2okteta1gui.so
%{_libdir}/libokteta1core.so
%{_libdir}/libokteta1gui.so


%changelog
* Sun Sep 15 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.11.1-1
- initial build

