Summary:	PGP encryption and signing for nautilus
Name:		seahorse-nautilus
Version:	3.8.0
Release:	1%{?_dist_release}
License:	GPL2
Group:		Applications/Accessories
URL:		http://projects.gnome.org/seahorse/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/3.8/%{name}-%{version}.tar.xz

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildRequires:	nautilus-devel
BuildRequires:	gpgme-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	gcr-devel
BuildRequires:	libgnome-keyring-devel
BuildRequires:	libcryptui-devel
BuildRequires:	libnotify-devel

Requires(postun,posttrans):	glib2
Requires(postun,posttrans):	desktop-file-utils

Obsoletes:	seahorse-plugins < 3.0
Obsoletes:	seahorse-plugins-applet < 3.0
Obsoletes:	seahorse-plugins-gedit < 3.0
Obsoletes:	seahorse-plugins-nautilus < 3.0

Provides:	seahorse-plugins-nautilus = %{version}-%{release}

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
Seahorse nautilus is an extension for nautilus which allows encryption
and decryption of OpenPGP files using GnuPG


%prep
%setup -q

%build
%configure 
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_datadir}/glib-2.0/schemas/org.gnome.seahorse.nautilus.window.gschema.xml

%find_lang %{name}

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%clean
rm -rf ${RPM_BUILD_ROOT}

%postun
if [ $1 -eq 0 ]; then
  glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
  update-desktop-database -q &> /dev/null || :
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
update-desktop-database -q &> /dev/null || :


%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS README
%{_bindir}/seahorse-tool
%{_libdir}/nautilus/extensions-3.0/libnautilus-seahorse.so
%{_datadir}/GConf/gsettings/org.gnome.seahorse.nautilus.convert
%{_datadir}/applications/seahorse-pgp-encrypted.desktop
%{_datadir}/applications/seahorse-pgp-keys.desktop
%{_datadir}/applications/seahorse-pgp-signature.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.seahorse.nautilus.gschema.xml
%{_datadir}/%{name}
%{_mandir}/man1/seahorse-tool.1.gz

%changelog
* Sun Apr 21 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.0-1
- new upstream release

* Tue Oct 16 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.1-1
- new upstream release

* Mon Oct 15 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.0-2
- add Obsoletes: seahorse-plugins-applet,gedit,nautilus}
- add Provides: seahorse-plugins-nautilus

* Sun Oct 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.0-1
- initial build

