%define pkg_version 3.8.1
%define pkg_release 1%{?_dist_release}

Summary:	GObject JavaScriptCore bridge
Name:		seed
Version:	%{pkg_version}
Release:	%{pkg_release}
Source0:	http://ftp.gnome.org/pub/gnome/sources/%{name}/3.8/%{name}-%{version}.tar.xz

Patch1:		seed-3.1.1-ignore-module-doc.patch

License:	LGPL
Group:		System Environment/Libraries 
URL:		http://live.gnome.org/Seed/ 

Requires:	gobject-introspection 
BuildRequires:	gobject-introspection-devel
BuildRequires:	WebKit3-gtk-devel
BuildRequires:	readline-devel
BuildRequires:	libffi-devel
BuildRequires:	gnome-js-common
BuildRequires:	sqlite3-devel
BuildRequires:	clutter-devel
BuildRequires:	clutter-gtk-devel
BuildRequires:	cairo-devel
BuildRequires:	gtk-doc
BuildRequires:	dbus-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	mpfr-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi


%description
Seed is a library and interpreter, dynamically bridging (through GObjectIntrospection) 
the WebKit JavaScriptCore engine, with the GNOME platform. Seed serves as something
which enables you to write standalone applications in JavaScript, or easily enable your
application to be extensible in JavaScript. 

%package devel
Summary:	Development files for seed
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	WebKit3-gtk-devel
Requires:	gobject-introspection-devel
Requires:	pkgconfig

%description devel
The devel-package contains header files to develop applications that use libseed.


%prep
%setup -q
%patch1 -p1 -b .module-doc


%build
%configure \
	--with-webkit=3.0 \
	--disable-static \
	--disable-libtool-lock \
	--disable-gtk-doc-html
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

## remove *.la
%{__rm} -f ${RPM_BUILD_ROOT}/%{_libdir}/*.la
%{__rm} -f ${RPM_BUILD_ROOT}/%{_libdir}/seed*/*.la

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS README
%{_bindir}/seed
%{_libdir}/libseed*.so.*
%{_libdir}/seed*/*.so
%{_datadir}/doc/seed
%{_mandir}/man1/*
%{_datadir}/seed*

%files devel
%defattr(-,root,root)
%{_includedir}/seed*
%{_libdir}/libseed*.so
%{_libdir}/pkgconfig/seed.pc
%{_datadir}/gtk-doc/html/seed*


%changelog
* Thu Apr 18 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.0-1
- new upstream release

* Fri Nov 04 2011 NAKAMURA Kenta <kenta@vinelinux.org> 3.2.0-2
- rebuilt with mpfr-3.1.0

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.0-1
- new upstream release
- drop Patch0

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.1-1
- new upstream release
- change configure option (--with-webkit=3.0)
- change BuildRequires WebKit3-gtk-devel instead of WebKit-gtk-devel
- add Patch0 (seed-3.1.1-support-javascriptcoregtk.patch)
- add Patch1 (seed-3.1.1-ignore-readline-doc.patch)

* Thu Oct 07 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.31.91-1
- new upstream release
- remove BuildRequires: gir-repository-devel
- add configure option (--with-webkit=1.0)
- fix %files

* Thu Sep 23 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-2
- rebuild with rpm-4.8.1 for pkg-config file

* Sun Apr 18 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- initial build for Vine Linux

