Summary: Shared MIME information database
Summary(ja): 共有 MIME 情報データベース
Name: shared-mime-info
Version: 1.1
Release: 1%{?_dist_release}
License: GPL
Group: User Interface/Desktops
URL: http://freedesktop.org/wiki/Software/shared-mime-info
Source0: %{name}-%{version}.tar.xz
Source1: defaults.list

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires:  gawk
BuildRequires:  libxml2-devel
BuildRequires:  glib2-devel >= 2.6.0
BuildRequires:  gettext
# For intltool:
BuildRequires: perl-XML-Parser >= 2.31-16
Requires: libxml2
Requires: glib2 >= 2.6.0

%description
This is the freedesktop.org shared MIME info database.

Many programs and desktops use the MIME system to represent the types of
files. Frequently, it is necessary to work out the correct MIME type for
a file. This is generally done by examining the file's name or contents,
and looking up the correct MIME type in a database.

%prep
%setup -q

%build
%configure --disable-update-mimedb
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/%{_datadir}/applications/defaults.list

## remove these bogus files
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/*

%post 
%{_bindir}/update-mime-database %{_datadir}/mime &> /dev/null

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README NEWS shared-mime-info-spec.xml
%{_bindir}/*
%dir %{_datadir}/mime/
%{_datadir}/mime/packages
%{_datadir}/applications/defaults.list
%{_datadir}/pkgconfig/*.pc
%{_mandir}/man*/*

%changelog
* Sun Mar 03 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.1-1
- new upstream release
- changed source archive bz2 to xz

* Wed Oct 06 2010 Shu KONNO <owa@bg.wakwak.com> 0.71-2
- rebuilt with rpm-4.8.1 for pkg-config

* Sat May 15 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.71-1
- new upstream release

* Mon Aug 18 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.51-1
- new upstream release
- sepc in UTF-8

* Fri May 16 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.30-1
- new upstream release
- updated Source1

* Thu Mar 20 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.23-1vl5
- new upstream release

* Sun Aug 19 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.22-0vl1
- new upstream release
- changed Group to User Interface/Desktops

* Wed Feb  7 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.20-0vl1
- new upstream release
- changed pkgconfig dir

* Sun Nov 26 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.19-0vl1
- new upstream release

* Mon Sep 19 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 0.16-0vl1
- new upstream release

* Mon Nov 08 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.15-10vl1
- initial build for Vine Linux based on fedora package.

* Mon Oct 18 2004 Alexander Larsson <alexl@redhat.com> - 0.15-10
- Fix for mime sniffing on big-endian

* Thu Oct 14 2004 Colin Walters <walters@redhat.com> - 0.15-9
- Handle renaming of hxplay.desktop to realplay.desktop

* Wed Oct 13 2004 Matthias Clasen <mclasen@redhat.com> - 0.15-8
- Handle XUL files. #134122

* Wed Oct 13 2004 Colin Walters <walters@redhat.com> - 0.15-7
- Make helix default for ogg and mp3, will switch wav/flac too 
  when support is added

* Wed Oct  6 2004 Alexander Larsson <alexl@redhat.com> - 0.15-6
- Change default pdf viewer to ggv

* Tue Sep  7 2004 Alexander Larsson <alexl@redhat.com> - 0.15-4
- Fixed evo desktop file reference in defaults.list

* Mon Sep  6 2004 Caolan McNamara <caolanm@redhat.com> - 0.15-3
- wpd can be opened in abiword, but not in openoffice.org (#114907)

* Fri Sep  3 2004 Alexander Larsson <alexl@redhat.com> - 0.15-2
- Add list of default apps (#131643)

* Mon Aug 30 2004 Jonathan Blandford <jrb@redhat.com> 0.15-1
- bump version

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Mar 22 2004 Alex Larsson <alexl@redhat.com> 0.14-1
- update to 0.14

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Jan 26 2004 Alexander Larsson <alexl@redhat.com> 0.13-1
- 0.13

* Fri Jan 16 2004 Alexander Larsson <alexl@redhat.com> mime-info
- Initial build.
